*************** Release 1.5 *******************

Sun Apr 13 16:01:29 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.316
	  Version -> 1.5

Sun Apr  6 20:28:14 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.76
	* header.c 1.135
	  uid_nobody() -> ic_uid_nobody()

Sun Apr  6 18:32:15 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.8
	* star_sym.c 1.6
	* restore.c 1.59
	* list.c 1.70
	* star.c 1.315
	* starsubs.h 1.108
	* xheader.c 1.75
	* header.c 1.134
	* extract.c 1.131
	* create.c 1.125
	* acl_unix.c 1.37
	* diff.c 1.82
	  Vollstaendige Trennung star/libfind

Wed Mar 19 20:09:22 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.36
	  opt_acl() auch ohne USE_ACL sicherstellen

Wed Mar 19 20:00:22 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.31
	* create.c 1.124
	  Copyright -> 2008

Wed Mar 19 19:58:22 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.123
	  Fuer inkrementelle Dumps nun info->f_mtime >= Newer.tv_sec statt info->f_mtime > Newer.tv_sec

Wed Mar 19 19:57:22 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.314
	  Version -> 1.5a89

Tue Mar 18 20:36:34 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.58
	  Coredump im Debugmodus vermeiden wenn Level 0 Dump eingespielt wird und ogp == NULL

Sun Mar 16 22:37:49 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.30
	  --sattr neu
	  suntar -E -p -> star H=exustar -acl

Sun Mar 16 16:45:02 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.130
	  Copyright -> 2008

Sun Mar 16 16:40:40 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.107
	* star.c 1.313
	* buffer.c 1.146
	* fflags.c 1.21
	* acl_unix.c 1.35
	* xattr.c 1.10
	  Kompilationsoptionen bet star -version mit ausgeben mit neuen opt_*() Funktionen

Fri Mar 14 00:35:55 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.74
	* star.h 1.117
	  Copyright -> 2008

Fri Mar 14 00:33:43 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.116
	* xheader.c 1.73
	  SCHILY.acl.type neu als Vorsorge fuer VFSv4 ACLs

Tue Mar  4 00:03:12 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.312
	  Version -> 1.5a88

Sun Feb 17 14:32:17 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.h 1.14
	* diff.c 1.81
	* star.c 1.311
	  diffopts=symperm neu

Sat Feb 16 16:50:17 2008 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.129
	  K&R mag nicht ein Label _und_ eine Funktion setmodes

Thu Dec 27 17:39:41 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.92
	  samefile() nun sicher gegen NULL Pointer

Tue Dec 11 18:11:17 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.91
	* starsubs.h 1.106
	* buffer.c 1.145
	  samefile() und Verhindern dass star -cv f=/dev/stdout > file ein defektes Archiv liefert

Mon Nov 26 23:22:16 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.144
	  gettimeofday(&starttime) nur einmal und nicht bei jedem Oeffnen eines neuen Archivs

Sun Nov 11 22:56:12 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.143
	  besserer Kommentar fuer startvol()

Thu Nov  8 18:01:12 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.31
	  "Blocksize   %d\n" -> "Blocksize   %d records\n"

Sun Oct 28 22:17:46 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.18
	  Cstyle

Sun Oct 28 22:16:34 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.310
	  Version -> 1.5a87

Sun Oct 28 22:16:04 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.h 1.13
	  Copyright -> 2007

Sun Oct 28 22:15:31 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.h 1.12
	* star.c 1.309
	* dumpdate.c 1.17
	  Umbau damit /etc/dumpdates gelockt wird und kurz vor dem Schreiben am Ende noch mal neu gelesen wird

Fri Oct 26 01:27:20 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.308
	  dumplevel= wird mit list= oder -find verboten

Fri Oct 26 01:12:20 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.133
	  Neue Option -link-data
	  F_DATA_SKIPPED neu
	  info->f_llsize immer setzen

Fri Oct 26 01:10:55 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.128
	  Neue Option -link-data
	  F_DATA_SKIPPED neu

Fri Oct 26 01:07:58 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.23
	  info->f_llsize immer setzen
	  F_DATA_SKIPPED neu

Fri Oct 26 01:04:22 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.122
	* star.c 1.307
	  Neue Option -link-data

Thu Oct 25 23:43:03 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.115
	  F_DATA_SKIPPED neu

Thu Oct 25 23:41:47 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.72
	  info->f_llsize immer setzen

Thu Oct 25 23:32:53 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.23
	* props.c 1.52
	  PR_LINK_DATA neu

Sat Oct 20 20:38:06 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.142
	  zbuf beseitigt, zur Kompressionsfeststellung wird nun bigbuf verwendet

Sat Oct 20 17:13:18 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.21
	* fifo.c 1.67
	  Copyright -> 2007

Sat Oct 20 17:12:52 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.30
	  Copyroght -> 2007

Sat Oct 20 16:44:21 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.29
	  --do-statistics neu in -help

Sat Oct 20 16:43:59 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.20
	* pax.c 1.24
	* suntar.c 1.28
	  -no-statitstics wird Default, neue Option -do-statistics

Sat Oct 20 16:38:10 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.141
	* fifo.h 1.29
	* cpiohdr.c 1.22
	* header.c 1.132
	* cpio.c 1.22
	  Neue Option -cpio-statistics, cpio gibt per Default eine Statistik aus die identisch zu cpio ist

Sat Oct 20 01:40:33 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.306
	  Neue Optionen -xmeta und -cpio-statistics

Sat Oct 20 01:34:59 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.127
	  Neue Option -xmeta

Fri Oct 19 01:16:56 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.140
	  bigbuf ist nun Pagealigned

Fri Oct 19 01:16:27 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.66
	  Umstellung auf getpagesize() aus libschily

Tue Oct  9 11:26:02 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.305
	  Versin -> 1.5a86

Tue Oct  9 11:25:40 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.80
	  "sparse" Vergleich nicht machen bei Hardlinks ohne Inhalt

Sat Oct  6 16:05:52 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_sym.c 1.5
	  Versuch mit star_sym <restore-dir "."> <backup-dir> die Datenbank neu aufzubauen

Sat Oct  6 15:37:05 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.57
	  #ifdef STAR_SYM beseitigt, stattdessen neue Variable is_star
	  immer #define PRINT_L_SYM damit star_sym.c kein spezielles restore.o braucht
	  Neue Funktion printLsym() fuer star_sym.c
	  sym_dump() nun mit writeheader() Aufruf, damit star-symdump komplett ist

Sat Oct  6 15:23:12 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.105
	  Mehr oeffentliche Symbole fuer restore.c wegen star_sym.c

Tue Sep 25 15:12:04 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.56
	  Umstellung einiger Symbole auf EXPORT fuer star_sym.c

Sat Sep 22 17:03:47 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.18
	* volhdr.c 1.30
	* acl_unix.c 1.34
	  Copyright -> 2007

Sat Sep 22 17:03:15 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.17
	* extract.c 1.126
	* fflags.c 1.20
	* diff.c 1.79
	* list.c 1.69
	* acl_unix.c 1.33
	  Cstyle

Sat Sep 22 16:45:08 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.55
	  Unbenutzte printf() Parameter beseitigt

Sat Sep 22 16:44:32 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.125
	* volhdr.c 1.29
	  Unbenutzte Variablen beseitigt

Sat Sep 22 15:14:27 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.54
	  sym_initmaps() neu, Codeumstellungen fuer star_sym

Thu Sep 13 01:12:29 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_sym.c 1.4
	  Erweiterte Dummys fuer aktuelles star

Thu Sep 13 00:44:24 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.304
	  Version -> 1.5a85

Thu Sep 13 00:43:39 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.124
	* restore.c 1.53
	  symlinks und special Files nicht loeschen und neu anlegen bei -restore damit das Datum der Directory darueber erhalten bleibt

Wed Sep 12 21:47:22 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.104
	  same_symlink()/same_special() neu

Wed Sep 12 21:46:17 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.114
	  Neues Flag F_SAME

Wed Sep 12 15:58:45 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.52
	* star.h 1.113
	* buffer.c 1.139
	  star_symtable wird nun nicht mehr einfach ueberschrieben und evt. unvollständig bei Systemabsturz waehrend des Schreibens von star_symtable

Mon Sep  3 01:25:01 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.16
	  errflags() versucht nicht mehr den String Paramerer zu modifizieren (GCC Core dump)

Wed Aug 22 14:52:41 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.303
	  Version -> 1.5a84

Tue Aug 21 14:45:30 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.123
	  has_dotdot() findet nun auch ".." bei OBJ//..//../star/

Mon Jul 16 10:43:14 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.302
	  Verion -> 1.5a83

Sun Jul 15 20:38:52 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.301
	* star.h 1.112
	* create.c 1.121
	* starsubs.h 1.103
	  Neuer Parameter "forceadd" bei create()
	  star ruft cdreate() im Dump-Modus nun so auf, dass die Directory von der Kommandozeile immer archiviert wird

Sun Jul 15 20:29:04 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.51
	  unlink(sym_lock); bei mehr Fehlern

Sun Jul 15 17:49:23 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.120
	  Auch Hardgelinkte Directories vor den Archivieren mit take_file() pruefen

Tue Jul 10 01:04:34 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.300
	  Bei leeren inkrementellen Dumps wird nun zumindest "." geschrieben damit restore funktioniert

Tue Jul 10 01:03:52 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.50
	  Ein fehlender Dumplevel kann nun mir -force-restore uebersprungen werden
	  unlink(sym_lock) bei diversen Abbruechen um ein spaeteres Blockieren zu vermeiden

Sat Jul  7 13:18:00 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.102
	  put_svolhdr() neu

Sat Jun 30 01:01:10 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.28
	  mot dumplevel >= 0 immer einen Volheader schreiben auch bei leerem inkrementellem Dump

Sat Jun 30 01:01:10 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.299
	  mit dumplevel >= 0 immer einen Volheader schreiben auch bei leerem inkrementellem Dump

Wed Jun 27 01:55:20 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.21
	  Copyright -> 2007

Wed Jun 27 01:54:47 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.298
	  Version -> 1.5a82

Wed Jun 27 01:54:13 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.20
	  astoh_cpio() akzeptiert nun auch Hex Grossbuchstaben wegen GNU cpio

Sat Jun 16 17:55:58 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.90
	* fflags.c 1.19
	  Copyright -> 2007

Sat Jun 16 17:54:39 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.297
	  Version -> 1.5a81

Fri Jun 15 18:49:43 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.18
	  Umstellung auf HAVE_USABLE_LINUX_EXT2_FS_H & TRY_EXT2_FS

Fri Jun 15 18:44:54 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.89
	  #include <ext2fs/ext2_fs.h> / #include <linux/ext2_fs.h> beseitigt

Tue Jun 12 02:50:21 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.138
	  Wenn write() -1 liefert, nicht mehr -1 auf die Statistik addieren

Sun Jun  3 22:46:23 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.296
	  Version -> 1.5a80

Sun Jun  3 18:06:51 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.122
	* star.c 1.295
	  -install neu

Sun Jun  3 17:57:09 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.21
	  cpio nimmt nun star -install -force-remove -remove-recursive -no-fsync beim Extrahieren
	  Neue Option -do-fsync

Tue May 29 23:13:08 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.111
	  Umbau auf schily/param.h

Tue May 29 23:09:53 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.88
	* starsubs.h 1.101
	  sxsymlink() nun mit name Parameter damit star -install funktioniert

Mon May 28 23:45:50 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.121
	  is_eexist() neu

Mon May 28 15:37:43 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.27
	* star.c 1.294
	* remove.c 1.52
	  -keep-nonempty-dirs neu

Sun May 27 01:44:03 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.120
	  Bei -force-remove link_file: from/to identical, skipping ... unterdruecken

Sun May 27 01:42:23 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.26
	  Neue Option --do-fsync
	  tar -x ist nicht star -xU sondern star -xU -force-remove -no-fsync

Sat May 26 16:08:21 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.19
	  gnutar -X funktioniert nun

Sat May 26 16:04:04 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.293
	* list.c 1.68
	* create.c 1.119
	* extract.c 1.119
	* diff.c 1.78
	  -X Option neu

Sat May 26 15:51:30 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.25
	  tar -X funktioniert nun

Fri May 25 19:13:55 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.24
	  -T Option (Trusted Solaris) neu in char *sun_copt

Fri May 25 18:59:32 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.100
	* lhash.c 1.16
	  hash_xbuild()/hash_xlookup() neu fuer eXclude Option

Fri May 25 18:47:39 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.17
	* star_unix.c 1.87
	  Include linux/types.h & linux/gfp.h nach Hinwweis von Michael Teichgräber <mt@wmipf.in-berlin.de>

Fri May 25 14:37:48 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.118
	  Fehler beim Einschalten von O_DSYNC korrigiert, bislang wurde F_GETFD statt F_GETFL verwendet

Fri May 25 14:22:55 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.137
	  Umbau auf schily/ioctl.h
	  tarf = (FILE *)NULL auch mit "copyflag"
	  file_raise(tarf, FALSE) nur wenn tarf != (FILE *)NULL

Thu May 24 14:38:06 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.86
	* fflags.c 1.16
	  Umstellung auf schily/ioctl.h

Thu May 10 23:34:40 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.23
	* gnutar.c 1.18
	* cpio.c 1.20
	* pax.c 1.23
	  xxx_setopts() neu um char *opts auf den wirklichen Opt String zu setzen damit getfiles() funktioniert

Wed May  9 02:13:31 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.22
	  -T option neu
	  artype=header Option neu
	  -E aktiviert
	  -n gibtnur noch eine Warnung

Sun May  6 23:38:10 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.21
	  -P ist doch implementiert
	  Warnung dass bei -k Dateien nicht geteilt werden

Wed Apr 25 12:43:11 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.292
	  Version -> 1.5a79

Sun Apr 22 01:54:39 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.32
	  Linux hat ab 3 ACL Entries default ACLs

Fri Apr 20 18:05:36 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.23
	  Endlosrekursion in nameinit() verhundern in dem name_init = TRUE gesetzt wird

Sat Apr  7 01:15:32 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.291
	  Version -> 1.5a78

Sat Apr  7 00:50:21 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.110
	* starsubs.h 1.99
	* xheader.c 1.71
	* suntar.c 1.20
	* pax.c 1.22
	* findinfo.c 1.7
	* header.c 1.131
	* hole.c 1.53
	* list.c 1.67
	* dumpdate.c 1.16
	* extract.c 1.117
	* cpio.c 1.19
	* diff.c 1.77
	  Copyright -> 2007

Sat Apr  7 00:43:54 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.18
	* pax.c 1.21
	* star.h 1.109
	* suntar.c 1.19
	* header.c 1.130
	* star.c 1.290
	* buffer.c 1.136
	  -7z (p7zip) Support neu

Wed Apr  4 02:53:58 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.17
	* pax.c 1.20
	* star.h 1.108
	* suntar.c 1.18
	* star.c 1.289
	* header.c 1.129
	* buffer.c 1.135
	  Support fuer lzop Kompression neu

Wed Mar 28 16:53:37 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.6
	* star.c 1.288
	  find_node -> findn_t *

Sun Mar 11 13:51:13 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bitstring.h 1.6
	  Copyright -> 2007
	  _SCHILY_H -> _SCHILY_SCHILY_H
	  bit_ffcs()/bit_ffss() nun ohne sinnloses for (_byte;

Sun Mar 11 13:23:31 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.287
	  Copyright -> 2007
	  Version -> 1.5a77
	  Unbenoetigter number() Prototyp beseitigt

Mon Feb 26 16:03:18 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.66
	* diff.c 1.76
	* extract.c 1.116
	  #include <walk.h> -> #include "walk.h"

Mon Feb 26 16:02:50 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.286
	  walkinitstate() neu
	  walkflags |= WALK_NOEXIT neu

Thu Feb 22 21:23:27 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.285
	  Umbau auf neue libfind

Sun Feb 18 15:09:42 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.52
	  get_end_hole() muss TRUE liefern wenn wir genau am Ende der Sparseliste sind weil es dann ken Loch am Ende gibt

Sun Feb 18 15:08:39 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.115
	  Kommentar fuer xt_file()

Sun Feb 18 14:26:56 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.98
	* star.c 1.284
	* xheader.c 1.70
	* header.c 1.128
	* names.c 1.22
	  uid_nobody()/gid_nobody() sind nun nicht mehr Variablen sondern Funktionen
	  nameinit() -> LOCAL und automatisch

Wed Feb 14 18:22:40 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.21
	  Copyright -> 2007

Thu Feb  8 10:53:35 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.20
	  "common" varaible -> "data" wegen Mac OS X Linker Problemen

Mon Feb  5 00:04:36 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.283
	  getnum()/getllnum -> libschily

Tue Jan 16 23:23:53 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.15
	  Bessere Fehlermeldungen

Tue Jan 16 23:21:02 2007 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.134
	  comerrno(EX_BAD, "Cannot update compressed archives.\n"); beim Versuch star -u/-r auf komprimiertes Archiv

Sun Dec 17 20:55:27 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.19
	  nameuid()/namegid() muessen #ifdef PROTOTYPES haben da uid_t/gid_t evt short sind

Sun Dec  3 22:17:25 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.127
	  Wenn die Checksumme im Header 0 zu sein scheint, dann ist das kein gueltiger Headerblock
	  Sing Checksummenberechnung erfolgt nun in signed long statt unsigned long

Mon Nov 20 14:31:29 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.282
	  Version -> 1.5a76

Sun Nov 12 20:09:40 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.51
	  Im Falle von bad_sparse_index() seterrno(EX_BAD), damit die "Error writing..." Meldung nicht einen alten errno zeigt

Sun Nov 12 01:07:28 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.31
	  Wenn acl(info->f_name, GETACLCNT, 0, NULL) ENOSYS returniert, dann keine Fehlermeldung

Sun Nov 12 01:05:57 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.50
	  Loecher am Ende eines Files die kleiner als 512 Bytes waren wurden nicht korrekt erkannt

Sat Nov 11 23:06:48 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.49
	  get_sparse_func() prueft nun bei jedem Schleifendurchlauf ob fh->fh_spindex >= fh->fh_nsparse um ein defektes star Archiv zu erkennen

Sat Nov 11 21:45:47 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.133
	  wenn readtape() eine geringere Blocksize als erwartet findet wird nun auch stats->nblocks korrigiert

Sun Nov  5 02:48:13 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.97
	  mem.c beseitigt

Sat Nov  4 00:56:49 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* append.c 1.24
	  Directories immer ohne Slash am Ende vergleichen.

Fri Nov  3 18:35:03 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.126
	  info->f_namelen = info->f_lnamelen = 0; neu in tcb_to_info()

Wed Nov  1 01:15:09 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.10
	  star x dir/ liefert nun nicht mehr pattern did not match

Tue Oct 31 18:34:50 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.12
	  #include schily/schily.h neu

Tue Oct 31 18:06:24 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.14
	* star_unix.c 1.85
	* list.c 1.65
	* acl_unix.c 1.30
	* props.c 1.51
	* remove.c 1.51
	* buffer.c 1.132
	* acltext.c 1.11
	* names.c 1.18
	* cpiohdr.c 1.19
	* fflags.c 1.15
	* xheader.c 1.69
	* chdir.c 1.3
	* longnames.c 1.48
	* checkerr.c 1.15
	* append.c 1.23
	* lhash.c 1.15
	* tartest.c 1.12
	* defaults.c 1.10
	* dirtime.c 1.24
	* device.c 1.13
	* volhdr.c 1.27
	* unicode.c 1.8
	* movearch.c 1.31
	* subst.c 1.9
	* match.c 1.9
	* table.c 1.24
	* xtab.h 1.4
	* star.h 1.107
	* dumpdate.h 1.11
	* props.h 1.22
	* starsubs.h 1.96
	  Copyright -> 2006

Mon Oct 30 20:08:41 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_sym.c 1.3
	  Includefiles -> include/schily/*
	  Copyright -> 2006

Sun Oct 15 16:59:19 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.50
	  CPIO ASC & CRC Format koennen bis zu 4 GB - 1 Byte

Sun Oct 15 16:51:44 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.114
	  EOF Erkennung in xt_file() funktioniert nun auch mit dem CPIO Format

Sat Oct  7 23:55:05 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.48
	  newpos in get_sparse_func() war nicht initialisiert

Sat Oct  7 22:42:32 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.47
	  get_end_hole(): uninitialisiete Variable "add" repariert
	  get_end_hole(): Return TRUE wenn das letzte ftruncate() klapt

Wed Sep 27 02:49:44 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.5
	  Umstellung auf globales walkstate zur Uebermittling diverser Parameter

Wed Sep 27 02:38:32 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.64
	* diff.c 1.75
	* extract.c 1.113
	  walkopen()/walkgethome() sowie walkhome()/walkclose()/free(walkstate.twprivate) fuer aktuelle libfind/find_expr()

Tue Sep 26 21:59:01 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.281
	  init_findargs() -> find_argsinit(), init_findtime() -> find_timeinit()

Tue Sep 26 17:14:37 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.280
	  include -> include/schily/*
	  Anpassungen fuer neue libfind

Tue Sep 26 15:57:11 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.46
	* extract.c 1.112
	* restore.c 1.49
	* remove.c 1.50
	* fifo.c 1.65
	* dumpdate.c 1.13
	* star_unix.c 1.84
	* create.c 1.118
	* buffer.c 1.131
	* acltext.c 1.10
	* acl_unix.c 1.29
	* fflags.c 1.14
	  errno.h -> schily/errno.h

Wed Sep 13 20:32:50 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.11
	* names.c 1.17
	* props.c 1.49
	* remove.c 1.49
	* volhdr.c 1.26
	* unicode.c 1.7
	* subst.c 1.8
	* restore.c 1.48
	* table.c 1.23
	* star_unix.c 1.83
	* xheader.c 1.68
	* xattr.c 1.9
	* longnames.c 1.47
	* fifo.c 1.64
	* fflags.c 1.13
	* match.c 1.8
	* movearch.c 1.30
	* hole.c 1.45
	* list.c 1.63
	* lhash.c 1.14
	* header.c 1.125
	* dumpdate.c 1.12
	* chdir.c 1.2
	* buffer.c 1.130
	* cpiohdr.c 1.18
	* extract.c 1.111
	* dirtime.c 1.23
	* defaults.c 1.9
	* device.c 1.12
	* diff.c 1.74
	* append.c 1.22
	* checkerr.c 1.14
	* create.c 1.117
	* acl_unix.c 1.28
	* acltext.c 1.9
	* props.h 1.21
	* dumpdate.h 1.9
	* star.h 1.106
	* xtab.h 1.2
	* fifo.h 1.27
	* starsubs.h 1.94
	  Umstellung auf include schily/*

Wed Sep 13 19:36:10 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.95
	* dumpdate.h 1.10
	* fifo.h 1.28
	* xtab.h 1.3
	  _*_H Defines an include schily/* angepasst

Wed Sep 13 19:22:27 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.116
	  Schreibfehler

Fri Jul  7 23:01:33 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.279
	  Version -> 1.5a75

Sun Jul  2 19:37:15 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.44
	  -force-hole schaltet nun von SEEK_HOLE auf cmpbytes() um
	  bad_sparse_index() neu
	  get_sparse_func() neu zur Performancesteigerung beim Extrakt
	  Alte get_sparse_func() -> get_ssparse_func() 
	  get_ssparse_func() verhindert, daß eine defekte Lochliste zum Absturz fuehrt
	  get_sp_list() hat nun einen zusaetzlichen int *nsparsep Parameter
	  get_sp_list() erlaubt nun das Extrahieren von "Loch am Ende" mit sparse[i].sp_offset == filesize und sparse[i].sp_numbytes == 0
	  get_sp_list() erkennt nun defekte GNU sparse Archive bei denen sparse[i].sp_offset nach ueber 4 GB wieder unter 4 GB springt
	  smk_sp_list() erkennt nun "Loecher am Ende" und behandelt die SEEK_HOLE/SEEK_DATA Ausnahmen dazu
	  smk_sp_list()/mk_sp_list() versuchen nicht mehr das "Loch am Ende" mit sparse[i].sp_numbytes = 1 zu verstecken
	  gnu_skip_extended() mit FINFO Parameter statt TCB
	  get_end_hole() / write_end_hole() neu um File mit Ende auf ein Loch zu erstellen

Sun Jul  2 17:03:23 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.4
	  DEV_BSIZE definieren falls nicht vorhanden

Sun Jul  2 14:18:23 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.63
	  comerrno() -> errmsgno() damit die zweite Meldung nach "implementation botch" lesbar wird

Mon Jun 26 21:53:54 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.110
	  gnu_skip_extended() nun mit FINFO *info Parameter statt TCB *ptb
	  In xt_file() func -> void_func() nach Extraktionsfehlern damit der Rest uebersprungen wird

Mon Jun 26 21:48:06 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.93
	  gnu_skip_extended() nun mit FINFO *info Parameter statt TCB *ptb

Mon Jun 26 21:44:56 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.105
	  F_SP_EXTENDED/F_SP_SKIPPED neu

Sun May 28 14:55:19 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.278
	  Version -> 1.5a74

Sun May 28 14:43:53 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.27
	  Versuch die Fehlermeldung: Operation not applicable. Cannot set ACL 'user::rwx,group::r-x,other::r-x' for 'socket'
	  auf Solaris zu verhindern

Sun May 28 14:41:32 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.73
	  Verhindern, dasz beim Sparse Vergleich das open() bei named Pipes haengt

Sun May 28 14:40:29 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.104
	  is_cont() & is_a_file() neu fuer besseren -sparse test mit -diff

Sat Mar 25 12:40:43 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.109
	  Fehlendes void_file() bei is_dir() und aehnlichem gab Probleme beim Auspacken von GNU Dumpdirs
	  Copyright -> 2006

Thu Mar  2 11:57:52 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.277
	  Version -> 1.5a73
	  maxdepth/mindepth walkstate initialisieren, so dasz star -find wieder geht und walkfun() nicht alles abblockt

Sun Feb 26 18:53:33 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.276
	  Version -> 1.5a72

Sat Feb 25 23:51:10 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.62
	* fifo.h 1.26
	  Umstellung FIFO_IBLOCKED/FIFO_OBLOCKED -> iblocked/oblocked (separate Variablen) um einen FIFO Deadlock zu vermeiden

Sun Feb 19 22:00:07 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.43
	  fpathconf(f, _PC_MIN_HOLE_SIZE) neu

Sat Feb 18 23:20:51 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.3
	* header.c 1.124
	  Copyright -> 2006

Sat Feb 18 22:29:10 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.72
	  Bei D_SPARS sparse_file() rufen um Solaris 11 Sparse Check korrekt zu machen

Sat Feb 18 20:09:38 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.275
	  Copyright -> 2006
	  Verson -> 1.5a71

Sat Feb 18 18:26:10 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.123
	  rdevmajor/rdevminor nur auf Wertebereich pruefen wenn das dazugehoerige file ein Devicenode ist

Sat Feb 18 16:33:56 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.115
	  Support fuer -mindepth/-maxdepth

Tue Feb 14 02:00:40 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.8
	* fifo.c 1.61
	* restore.c 1.47
	* diff.h 1.13
	* fifo.h 1.25
	  Copyright -> 2006

Sun Feb 12 20:59:19 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.46
	  Panic: Meldung fuer lock_ino ("star-lock") unterdruecken

Sun Feb 12 20:52:48 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.h 1.12
	* diff.c 1.71
	* star.c 1.274
	  Neue diffopt "sympath"

Wed Feb  8 01:03:43 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.24
	* fifo.c 1.60
	  Support fuer BeOS shard memory areas neu

Tue Feb  7 23:42:51 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.23
	  #include <mconfig.h>

Tue Feb  7 23:39:10 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.22
	* fifo.c 1.59
	  #undef FIFO ist jetzt nur noch in fifo.h

Sun Feb  5 17:01:57 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.2
	  HAVE_ST_BLOCKS neu

Sun Feb  5 14:06:23 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.273
	  #include "fifo.h" wieder aktiviert wegen #undef FIFO
	  HAVE_DEV_TTY Test neu

Thu Feb  2 17:38:10 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.7
	  Umstellung auf lgetxattr()/lsetxattr()/llistxattr()

Thu Feb  2 15:47:46 2006 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.272
	  Kompilation ohne -DUSE_FIND wieder ermoeglichen

Wed Nov 16 01:25:10 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.271
	  Version -> 1.5a70

Wed Nov 16 01:24:41 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.270
	  getpaxH()/getpaxL()/getpaxP() neu
	  "Badly placed Option ... vermeiden bei mehreren -C Optionen in Folge

Wed Nov 16 01:21:23 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.7
	  -C pat=xxx funktioniert nun auch korrekt bei -x und -diff

Sun Nov 13 15:00:10 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.82
	  info->f_rdev / info->f_rdevmaj / info->f_rdevmin auch bei FIFO's auf 0 setzen

Sun Nov 13 14:57:21 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.108
	  F_BAD_META Behandlung ist nun nach -fund Behandlung

Sun Nov 13 14:55:16 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.70
	  Bei star -diff -find ... wurde kein neuer TCB gelesen

Tue Nov  8 01:17:34 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.67
	  get_snumber() ruft get_xnumber() nun richtig mit inkrementiertem string Pointer wenn die Zahl mit '-' anfaengt

Sun Nov  6 16:48:35 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.62
	  info->f_uid/info->f_gid Ausgabe format String korrigiert und Cast auf Llong

Tue Nov  1 23:19:23 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.114
	  put_dir() ruft fetchdir nicht mehr bei if (!nomount || !newfs(info)) sondern nur noch bei if ((!nodesc || dodump > 0) && (!nomount || !newfs(info)))
	  damit wird fetchdir() nicht gerufen bei star -cD wenn nicht gleichzeitig auch -dump aktiv ist

Tue Nov  1 23:15:04 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.269
	  Verion -> 1.5a69
	  star -find Support neu

Tue Nov  1 23:13:03 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.113
	  Viele Funktionen nun neu mit "sname" Parameter damit -find geht
	  walkfunc() fuer star -find neu

Tue Nov  1 23:05:03 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.122
	  ustar devminor nun auch extrahieren wenn devmajor[0] & 0x80 (Zuweisung info->f_rdevmin = ul fehlte)
	  ustar devmajor nun auch extrahieren wenn devminor[0] = 0x80

Tue Nov  1 22:32:18 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.107
	* diff.c 1.69
	* starsubs.h 1.92
	  read_symlink() nun mit zusaetzlichem "sname" Parameter fuer -find

Tue Nov  1 22:10:34 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.81
	  stat_to_info() fuer -find neu

Tue Nov  1 22:00:29 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.103
	  INFO->f_sname neu fuer -find

Tue Nov  1 21:42:30 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.91
	  findinfo() walkfunc() stat_to_info() neu

Tue Nov  1 21:39:33 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.68
	* list.c 1.61
	* extract.c 1.106
	  Support fuer -find neu

Tue Nov  1 21:32:41 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* findinfo.c 1.1
	  date and time created 05/11/01 21:32:41 by joerg

Thu Oct 20 01:17:06 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_sym.c 1.2
	  star_mkvers() mit strvers[] neu
	  save_args(ac, av) aus main() rufen

Thu Oct 20 00:32:03 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.121
	  Wenn uidname()/gidname() einen sinnvollen Wert liefern, dann werden F_BAD_UID/F_BAD_GID wieder geloescht

Thu Oct 13 12:30:11 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.16
	  nameuid()/namegid() liefern nun immer nobody wenn der Return Wert FALSE ist

Thu Oct 13 12:11:21 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.102
	* extract.c 1.105
	* header.c 1.120
	* xheader.c 1.66
	  XF_BAD_SIZE -> F_BAD_SIZE, XF_BAD_META -> F_BAD_META
	  F_BAD_UID/F_BAD_GID neu
	  Bei F_BAD_UID/F_BAD_GID wird TSUID bzw. TSGID nicht gesetzt um nicht Files suid nobody zu machen

Thu Oct 13 11:47:11 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.90
	* volhdr.c 1.25
	* xheader.c 1.65
	  get_unumber()/get_snumber() nun mit zusaetzlichem Rangecheck

Thu Oct 13 01:00:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.119
	  Alle wichtigen Fehlermeldungen enthalten nun die Blocknummer

Thu Oct 13 00:17:24 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.64
	  Alle Fehlermeldungen und Warnungen enthalten nun eine tblocks() Ausgabe

Wed Oct 12 23:57:01 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.63
	  get_iaray(): Test auf inode number > INO_T_MAX neu

Tue Oct 11 01:22:43 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.118
	  Max old tar (' ' left fill statt '0') fuer info->f_gid ist MAXOCTAL6 und nicht MAXOCTAL7

Sun Oct  9 17:28:25 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.62
	  Signed/unsigned Unterscheidung fuer "SUN.devmajor"/"SUN.devminor"/"SCHILY.devmajor"/"SCHILY.devminor"/"SCHILY.dev"
	  Kommentar fuer gen_iarray()
	  get_iarray() umgestellt auf unsigned inode Nummern mit astoull() und zusaetzlicher Uverflowcheck

Wed Oct  5 12:44:46 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.268
	  Version -> 1.5a68

Wed Oct  5 11:10:23 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.61
	  print_range(keyword, arg, len) -> xh_rangeerr(keyword, arg, len) und GLOBAL
	  get_number() auskommentiert und durch get_unumber() & get_snumber() ersetzt
	  get_xnumber() als Basisroutine fuer get_unumber() & get_snumber() mit stark erweitertem Bereichcheck
	  get_uid() nimmt nun get_snumber() obwohl uid nach POSIX unsigned ist
	  get_gid() nimmt nun get_snumber() obwohl uid nach POSIX unsigned ist
	  get_size() nimmt nun get_unumber()
	  get_realsize() nimmt nun get_unumber()
	  get_offset() nimmt nun get_unumber()
	  get_major() nimmt nun get_snumber() weil POSIX nichts ueber dev_t aussagt
	  get_minor() nimmt nun get_snumber() weil POSIX nichts ueber dev_t aussagt
	  get_dev() nimmt nun get_snumber() weil POSIX nichts ueber dev_t aussagt
	  get_ino() nimmt nun get_unumber() weil POSIX ino_t als unigned definiert
	  get_nlink() nimmt nun get_unumber weil alle realen link counts positiv sind()

Wed Oct  5 00:42:13 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.24
	  get_number() -> get_unumber() & zuzaetzliche Tests auf korrekte Darstellbarkeit der Werte

Thu Sep 15 19:41:23 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.89
	  get_number() Auskommentiert -> wird vorerst nicht mehr benoetigt
	  print_range() -> xh_rageerr() und EXPORT
	  get_unumber()/getsnumber() neu

Sat Sep 10 15:53:59 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.101
	  suntar_header neu

Tue Sep  6 13:57:54 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.267
	  Version -> 1.5a67

Tue Sep  6 13:57:26 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.112
	  Bessere Name too long Meldungen bei star list=

Sat Sep  3 01:29:34 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.6
	* star_unix.c 1.80
	* star.c 1.266
	* hole.c 1.42
	* extract.c 1.104
	* diff.c 1.67
	* longnames.c 1.46
	* acl_unix.c 1.26
	* create.c 1.111
	* checkerr.h 1.8
	* dirtime.c 1.22
	* checkerr.c 1.13
	  checkerr=WARN|... neu
	  errwarnonly() fuer checkerr=WARN neu
	  BOOL dchangeflag -> errconfig("WARN|GROW|SHRINK *");

Sat Sep  3 01:25:37 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.17
	  -I neu, -D ist nun mot errconfig("WARN|GROW|SHRINK *") implementiert

Sat Sep  3 01:10:25 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.60
	* header.c 1.117
	  get_xhtype() hat xhparse() mit finfo-> mit uninitialisiertem f_name & f_lname gerufen und wenn der erste Tar Header path= oder lpath= enthielt gab es einen Coredump

Sun Aug 28 21:47:13 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.12
	  ec_state = __malloc() -> ec_state = __realloc(ec_state, ...)

Sun Aug 28 19:30:31 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.265
	  Version -> 1.5a66

Sun Aug 28 18:37:31 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.11
	* star.c 1.264
	  errctl= kann nun auch direkt errror control Spezifikationen als errctl= Parameter
	  Es koennen nun mehrere errctl= Optionen verwendet werden.

Sun Aug 28 15:55:34 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.263
	* create.c 1.110
	* suntar.c 1.16
	* hole.c 1.41
	  Suntar -D (Data change is warning only) / star -data-change-warn neu

Sun Aug 28 14:29:35 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.15
	  Neue Option -e (Sun star error abort exit())

Sun Aug 28 14:17:07 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.48
	  H_BAR neu Definitionen fuer bar(1)

Sun Aug 28 14:15:17 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.100
	  #define BAR_HDRSZ TBLOCK neu

Sun Aug 28 14:14:35 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.262
	  -e Option in -xhelp xusage() neu

Sun Aug 28 14:10:38 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.40
	* longnames.c 1.45
	* star_unix.c 1.79
	* star.c 1.261
	* checkerr.h 1.7
	* xattr.c 1.5
	* dirtime.c 1.21
	* diff.c 1.66
	* acl_unix.c 1.25
	* checkerr.c 1.10
	* create.c 1.109
	* extract.c 1.103
	  errabort() neu
	  Neue errctl= identifier: ABORT, ALL, DIFF
	  Neue Option -e (Sun star error abort exit())

Sun Aug 28 01:22:53 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.116
	* xheader.c 1.59
	  Cstyle

Sun Aug 21 16:08:02 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.115
	* append.c 1.21
	* xheader.c 1.58
	* starsubs.h 1.88
	* star.h 1.99
	* volhdr.c 1.23
	  FINFO f_ansec/f_cnsec/f_mnsec -> long damit negative Werte bemerkt werden koennen
	  Neue Funktion check_xtime() in xheader.c
	  print_unknown()/print_range()/print_toolong() geben nun auch die Blocknummer aus

Sun Aug 21 14:50:00 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.78
	  print_badnsec() und Ueberpeuefung der nanosekunden Werte neu

Sat Aug 20 17:22:42 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.129
	  Das Lesen von weniger als TBLOCK size ist nicht mehr ein sofortiger Abbruchgrund

Sat Aug 20 13:41:31 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.77
	  setdirmodes() konvertiert nun auch von tarmode -> osmode
	  setmodes() addiert nun OWNER_WRITE Rechte bei Directories damit das Extrahieren von read-only dirs klappt

Fri Aug 19 11:48:28 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.87
	* volhdr.c 1.22
	* xheader.c 1.57
	  get_xtime() nun auch mit len Parameter (arglen) damit print_range() korrekt funktioniert

Thu Aug 18 13:38:31 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.260
	  Version -> 1.5a65

Thu Aug 18 13:37:34 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.45
	  ./star-lock neu

Sun Aug 14 18:47:37 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.76
	  star -x -ctime Verhalten verbessert (geht nun auch mit used in File Times)

Wed Aug 10 18:58:01 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.114
	  Schreibfehler beseitigt der beim Auspacken von ustar Archiven minor == major machte

Tue Aug  2 01:48:08 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.259
	  Version -> 1.5a64

Tue Aug  2 01:36:47 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.113
	  Diverse Rangechecks
	  Korrekte Konversion von info->f_rdevmin/info->f_rdevmin/info->f_rdev nun ueber Pointer zu echtem Ulong

Mon Aug  1 13:12:51 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.h 1.11
	* star.c 1.258
	  xtimes diffopt neu = atime,ctime,mtime,lmtime
	  Wenn D_MTIME nicht gesetzt ist, dann loescht der diffopts= Parser nun auch D_LMTIME

Sat Jul 30 13:38:14 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.56
	  wenn info->f_uid >= 0 -> gen_unumber()
	  wenn info->f_gid >= 0 -> gen_unumber()
	  bei size/offsetwerten Check Rangecheck auf < 0

Fri Jul 29 03:18:43 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.55
	* extract.c 1.102
	* star.h 1.98
	  XF_BAD_SIZE / XF_BAD_META / Ullong f_llsize neu
	  Behandlung von Ueberlaeufen aus POSIX.1-2001 Headern nach lokalen Daten
	  Versuch void_file() auch bei off_t < long long korrekt zu machen

Fri Jul 29 03:10:02 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.15
	  uid_nobody / gid_nobody -> EXPORT

Wed Jul 27 02:10:54 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.h 1.13
	* list.c 1.60
	* names.c 1.14
	* table.c 1.22
	* acl_unix.c 1.24
	* diff.c 1.65
	  Copyright -> 2005

Wed Jul 27 02:05:52 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.h 1.12
	* table.c 1.21
	* acl_unix.c 1.23
	* list.c 1.59
	* star.h 1.97
	* header.c 1.112
	* extract.c 1.101
	* diff.c 1.64
	* star_unix.c 1.75
	  FINFO f_mode / f_type -> mode_t

Wed Jul 27 01:28:06 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.58
	* header.c 1.111
	* star.h 1.96
	  f_nlink -> nlink_t

Wed Jul 27 00:51:00 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.100
	* star.c 1.257
	  -dir-owner/-dir-group arbeiten nun vorsichtiger und beachten die sgid Semantik

Wed Jul 27 00:37:30 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.95
	* dirtime.c 1.20
	* create.c 1.108
	  _BAD_MODE/_BAD_UID/_BAD_GID -> star.h

Wed Jul 27 00:15:30 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.99
	* star.c 1.256
	  -xdot repariert

Tue Jul 26 15:40:51 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.98
	* star.c 1.255
	  Neue Optionen umask= dir-owner= und dir-group=
	  Globale Variable uid -> my_uid

Tue Jul 26 15:16:08 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.22
	* header.c 1.110
	* names.c 1.13
	* starsubs.h 1.86
	* star.h 1.94
	* star_unix.c 1.74
	* create.c 1.107
	  nameuid()/namegid()uidname()/gidname() verwenden nun uid_t/gid_t Parameter
	  info->f_uid/info->f_gid nun auch uid_t/gid_t
	  Globale Variable uid -> my_uid

Sun Jul 24 23:32:13 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.106
	  Cstyle

Sun Jul 24 18:56:41 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.105
	  flushlinks() Prototyp neu

Sun Jul 24 18:45:15 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.109
	  Schreibfehler: %lls ->  %lld korrigiert

Sun Jul 24 18:44:25 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.104
	  Support fuer hard links bei star -c -Hcrc

Sun Jul 24 18:38:54 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.8
	  Diverse Lint Probleme beseitigt:
	  id in aclfromtext() initialisieren
	  struct passwd ps & struct group gr in aclfromtext() bei isnumeric() so plazieren, dasz die Gueltigkeit der Daten (pointer) bis zur Nutzung reicht
	  LOGNAME_MAX is nur 8 und reicht nicht. Neuer #define _LOGNAME_MAX_ is 32
	  sprintf() nimmt nun %lld fuer uid_t und gid_t, LOGNAME_MAX (8) reichte auch nicht aus fuer int32_t

Sun Jul 24 00:05:04 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.19
	* lhash.c 1.13
	* checkerr.c 1.9
	* fifo.c 1.58
	* props.c 1.47
	* gnutar.c 1.17
	* suntar.c 1.14
	* volhdr.c 1.21
	* star_unix.c 1.73
	* xheader.c 1.54
	* cpio.c 1.16
	* buffer.c 1.128
	* star.h 1.93
	* fifo.h 1.21
	* props.h 1.20
	  Copyright -> 2005

Sat Jul 23 23:50:07 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.17
	  Copyright -> 2005
	  Schreibfehler beseitigt

Sat Jul 23 23:21:55 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.85
	* star.c 1.254
	  flushlinks() fuer hardlinks bei cpio -Hcrc Format neu

Fri Jul 22 11:38:35 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.15
	  cpio -i ist star -xdir

Fri Jul 22 11:34:25 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.18
	  Der Dirstack funktioniert nun auch richtig wenn die Direktorynamen nicht mit '/' enden - es wird nun korrekt immer ein '/' angehaengt

Fri Jul 22 00:44:13 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.253
	  Version -> 1.5a62

Tue Jul 19 17:51:11 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.20
	  Semaphore zum Absichern nur aktivieren wenn usr_fifo == TRUE

Mon Jul 18 18:59:11 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.84
	* restore.c 1.44
	* extract.c 1.97
	* create.c 1.103
	  Der Einbau des Supports fuer SVR4 CPIO harlink Extrakt hatte einen imp NULL pointer fuer sym_typecheck() zur Folge, nun wird der Parameter korrekt uebergeben.

Mon Jul 18 13:50:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.252
	  Version -> 1.5a62

Mon Jul 18 13:49:37 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.127
	  Im "tar" Modus werden nun auch nicht leere Plain Files ueberschrieben

Mon Jul 18 13:23:49 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.126
	  fifo_hpos() kommt nun damit klar wenn stopb < startb ist und teilt die Suche in zwei Bloecke wenn der Fifo gewickelt hat
	  Semaphore zum Absichern von stat->cur_size & stat->cur_off
	  Neyes Keywort "SCHILY.volhdr.tapesize", Archive Size Test beim Restore

Mon Jul 18 13:16:07 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.108
	  EOF Warnung und Debug Meldungen enthalten nun die Blocknummer

Mon Jul 18 13:11:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.102
	* fifo.h 1.19
	  Cstyle

Mon Jul 18 13:08:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.18
	* create.c 1.101
	  Semaphore zum Absichern von stat->cur_size & stat->cur_off

Mon Jul 18 13:04:38 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.92
	  Neyes Keywort "SCHILY.volhdr.tapesize"
	  t_typeflag & t_linkflag -> Uchar weil Arrayindex

Mon Jul 18 13:03:42 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.20
	  Neyes Keywort "SCHILY.volhdr.tapesize"
	  Support zum Zuruecklesen von Multivolume Archiven im H_XSTAR & H_XUSTAR Format

Mon Jul 18 02:06:43 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.13
	  tar -x ist star -xU

Fri Jul 15 02:50:11 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.43
	  Verhinern, dasy Null Pointer in der Inode Datenbank einen Core Dump ausloesen

Sun Jul 10 18:28:37 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.100
	* star.c 1.251
	  Version -> 1.5a61
	  Neue Option pkglist= fuer SPS

Sun Jul 10 17:57:37 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.83
	  ngetline() neu

Sun Jul 10 17:16:02 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.16
	* create.c 1.99
	* star.c 1.250
	* lhash.c 1.12
	* restore.c 1.42
	  Neue Option -read0

Sun Jul 10 15:36:46 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.98
	* extract.c 1.96
	* starsubs.h 1.82
	  last_cpio_link() & xcpio_link() neu
	  extracti() neu
	  Unterstuetzung fuer das Entpacken von cpio CRC Archiven mit Hard Links neu

Sun Jul 10 14:52:02 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.16
	  Hardlinks im CRC Format werden nun erlaubt

Sat Jun 11 15:14:48 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.53
	* fifo.c 1.57
	* hole.c 1.39
	  Cstyle

Sat Jun 11 15:14:12 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.95
	  extracti() neu

Wed Jun  8 01:45:58 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.52
	  gen_iarray() korrigiert nun p relativ zu xbuf nach realloc() (war das das Problem beim inkrementellen Restore?)

Sun May 29 15:26:32 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.97
	  find_link neu

Sat May 28 22:25:29 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.46
	* props.h 1.19
	  Neues Flag PR_SV_CPIO_LINKS fuer SVr4 asc & crc cpio Format

Sat May 28 15:42:33 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.38
	  lseek() beim "archivieren" mit -nullout vermeiden

Tue May 24 00:50:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.37
	  put_sparse_func() optimiert nun die I/O Groesse und liest mehr als 512 Byte auf einmal

Sun May 22 23:04:22 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.249
	  Version -> 1.5a60

Sun May 22 23:03:56 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.36
	  Coredump beim Auspacken von mehr als 10016 Loechern verhindern

Sun May 22 17:49:36 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.107
	  XF_SIZE / XF_REALSIZE Behandlung korrigiert damit sparse Files > 8 GB bei POSIX.1-2001 funktionieren

Sun May 22 17:45:36 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.51
	  SCHILY.realsize Beschreibung konkretisiert

Sun May 22 15:21:50 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.35
	* create.c 1.96
	* starsubs.h 1.81
	  Umbau fuer SEEK_HOLE

Tue May 10 00:56:17 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.248
	  Version -> 1.5a59

Tue May 10 00:52:43 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.72
	* create.c 1.95
	  get_acls(info) Aufruf von star_unix.c -> create.c fuer bessere Performance

Tue May 10 00:42:09 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.50
	  Zusaetzlicher Test auf ein Newline am Ende einer Xheader Zeile und Syntaxfehlermeldung

Tue May 10 00:38:10 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.41
	  Neuer Debug Code

Tue May 10 00:31:54 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.12
	* star_unix.c 1.71
	  Workaround gehen defektes Linux <linux/ext2_fs.h> durch Test auf defined(HAVE_BROKEN_EXT2_FS_H) && defined(HAVE_BROKEN_LINUX_EXT2_FS_H)

Fri Mar 25 14:27:38 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.247
	  Bessere Onlinehilfe fuer -copyhardlinks & -copysymlinks

Fri Mar 25 14:26:11 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.49
	  write_xhdr() setzt nun finfo.f_name damit errhidden() einen fname Parameter bekommt

Fri Mar 25 14:22:43 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.8
	  errhidden() ist nun immun gegen fname == NULL

Thu Feb 17 00:18:35 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.246
	  Version -> 1.5a58

Wed Feb 16 23:23:08 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.106
	  Cstyle
	  Copyright -> 2005

Wed Feb 16 15:33:30 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.11
	  Gruenbacher war falsch: EXT3_JOURNAL_DATA_FL ist richtig und nicht EXT2_JOURNAL_DATA_FL

Wed Feb 16 14:46:35 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.7
	  Nicht fuer IS_CYGWIN kompilieren

Wed Feb 16 14:31:08 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.10
	  Copyright -> 2005

Wed Feb 16 13:57:45 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.9
	  Support fuer Linux EXT2_JOURNAL_DATA_FL neu

Sat Feb 12 12:56:25 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.6
	  Kein getpwuid(uid)/getgrgid(gid) mehr bei numerischen IDs in aclfromtext()

Fri Feb 11 10:44:57 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.5
	  User/Group 123 wird nun auch dann korrekt behandelt wenn getpwuid()/getgrgid() nichts finden

Thu Feb 10 00:46:15 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.245
	  Version -> 1.5a57

Thu Feb 10 00:36:00 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.4
	  LICENSING.NOTICE -> CDDL.Sun.txt

Wed Feb  9 07:05:29 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.3
	  Numerische uid/gid Felder werden bei aclfromtext() akzeptiert

Wed Feb  9 06:58:51 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.2
	  #include <mconfig.h> / #ifdef HAVE_SUN_ACL neu

Wed Feb  9 06:51:06 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acltext.c 1.1
	  date and time created 05/02/09 06:51:06 by joerg

Tue Feb  8 00:42:30 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.94
	  Verhalten von -match-tree repariert (wirkte auch ohne pattern match)

Mon Feb  7 23:53:01 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_sym.c 1.1
	  date and time created 05/02/07 23:53:01 by joerg

Mon Feb  7 22:57:37 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.244
	  Copyright -> 2005
	  Check auf Archiv Format bei star -c -acl und Abbruch wenn XF_ACL_ACCESS nicht gesetzt

Mon Feb  7 22:53:46 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.11
	* dumpdate.h 1.8
	* restore.c 1.40
	* extract.c 1.94
	* starsubs.h 1.80
	  -> 2005

Mon Feb  7 22:36:21 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.93
	* starsubs.h 1.79
	* restore.c 1.39
	  sym_open() mit neuem char *name Parameter fuer neues star_sym Programm

Sun Jan 30 16:40:24 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.38
	  Text bei restore_valid == FALSE verbessert

Sun Jan 30 16:28:01 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.243
	  Version -> 1.5a56

Sun Jan 30 16:25:07 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.37
	  LOCAL BOOL restore_valid neu damit ein absolut leerer Dump beim Restore nicht das File star-symtable ueberschreibt

Sun Jan 30 15:40:41 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.10
	  Fix fuer ein Problem mit level 0, 1, 2, 0, 2 wobei der 2. level 2 Backup gegen level 1 statt level 0 ist

Sun Jan 16 22:41:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.36
	  sym_dump() neu und mehr Stellen geben die Datenbank nach "star-symdump" aus
	  Support fuer -dump-cumulative / -cumulative neu
	  Debugging Funktionen printoneLsym()/printLsyms() neu

Sun Jan 16 15:24:46 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.242
	  Version -> 1.5a55
	  Neue Option -dump-cumulative / -cumulative

Sun Jan 16 14:35:20 2005 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.9
	* dumpdate.h 1.7
	  Erweiterung um DD_CUMULATIVE damit star -cumulative moeglich wird

Mon Nov 29 12:40:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.35
	  bessere EOF Behandlung fuer ngetline() in xgetline()

Fri Nov  5 10:59:45 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.34
	  Bessere Meldung wenn gleicher Dump Level wieder zurueckgespielt werden soll

Mon Nov  1 14:46:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.241
	  Version -> 1.5a54
	  GCC warnung wegen nicht initialisierter Variable beseitigt

Mon Nov  1 14:46:09 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.33
	  Alle Files in star-tmpdir loeschen wenn env STAR_DEBUG nicht vorhanden

Mon Nov  1 12:59:12 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.48
	  Copyright -> 2004
	  Besserer Kommentar

Mon Nov  1 12:19:10 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.32
	  slashp in sym_dirprepare() war nicht initialisiert

Sun Oct 31 22:00:41 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.h 1.10
	* star.c 1.240
	* diff.c 1.63
	  diffopts=lmtime neu

Fri Oct 29 22:01:15 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.239
	  Version -> 1.5a53

Fri Oct 29 21:58:09 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.31
	  sym_dirpremare() muss den '/' am Ende des Pfades beseitigen bevor _getinfo() gerufen wird, damit bei nicht Dirs nicht ENOTDIR kommt

Fri Oct 29 13:26:38 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.92
	  MKD_DEBUG neu
	  same_file() mit neuem what Paramether (IS_COPY/IS_LINK) damit bei IS_LINK kein Fehler mehr generiert wird wenn ein Hardlink bereits existiert

Fri Oct 29 13:23:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.47
	  RM_DEBUG neu

Wed Oct 27 18:32:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.10
	* header.c 1.105
	  /* LINTED */ wegen name[100] Zugriffen

Wed Oct 27 17:33:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.238
	  Neue Optionen dumpdate=name & fs-name=name fuer Filesystem Snapshots

Wed Oct 27 17:02:35 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.19
	* star.h 1.91
	  GF_CWD neu fuer "SCHILY.volhdr.cwd"

Tue Oct 19 10:12:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.237
	  Version -> 1.5a52

Tue Oct 19 01:28:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.30
	  Besserer Kommentar fuer das stat("/etc/passwd/", ) / ENOTDIR Problem mit POSIX.1-1988/POSIX.1-2001

Tue Oct 19 01:22:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.29
	  make_adir() neu
	  sym_dirprepare()/sym_typecheck() koennen nun imp * veraendern
	  Bessere Debug Meldungen
	  padd_node() setzt nun die flags (z.B. I_DIR) wenn es ein alter tmp node war
	  sym_addrec() fuegt nun nicht mehr den dir Inhalt dazu wenn ein alter nich t DIR node existitert
	  sym_dirprepare() kann nun ein Disk File loeschen und eine Dir erzeugen und imp * veraendern
	  "star-symdump" Wird bei Panic: amnesia geschrieben
	  sym_typecheck() beachted nun I_DELETE in der move2tmp() Schleife
	  sym_typecheck() ruft nun purgeent() bei geloeschten nodes

Tue Oct 19 00:17:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.91
	* starsubs.h 1.78
	  make_adir() neu
	  sym_dirprepare()/sym_typecheck() koennen nun imp * veraendern

Mon Oct 18 23:40:16 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.62
	  do_void mit FALSE initialisieren damit GCC nicht warnt

Mon Oct 18 23:37:34 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.104
	  xhsize -> xhsiz wegen globaler Funktioon xhsize()

Sun Oct 17 18:55:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.236
	* list.c 1.57
	  Neue Option -prinodes

Thu Oct 14 01:51:08 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.28
	  Unter Linux bringt stat("/etc/passwd/", ) ENOTDIR

Thu Oct 14 00:25:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.61
	  ERweiterung der diff Tests fuer DATA wenn ein Hardlink vorliegt wird damit nicht faelschlich Datenunterschied gemeldet wird

Thu Oct 14 00:23:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.27
	  Erweiterte Debugs fuer sym_typecheck()

Thu Oct 14 00:20:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.103
	  get_xhtype() darf nicht aus get_hdrtype() gerufen werden damit der Kompressionstest nicht einen Aufruf von get_xhtype() bewirkt

Wed Oct 13 16:00:10 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.90
	  H_TARMIN/H_TARMAX neu

Sun Oct 10 18:04:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.26
	  Bessere restore dump level/date Tests
	  Es ist nun erlaubt nacheinander alle dumps des selben levels einzuspielen

Sun Oct 10 17:36:37 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.235
	  Version -> 1.5a51

Sun Oct 10 16:36:04 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.25
	  Erweiterungen um Dumps gegen den aktuellen Restore Status zu vergleichen

Sun Oct 10 14:46:29 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.234
	* extract.c 1.90
	* fifo.c 1.56
	* hole.c 1.34
	  Cstyle

Sun Oct 10 02:56:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.89
	  DT_FULL ist nun die hoechste Nummer und kleinere Zahlen bedeuten weniger Wert

Sun Oct 10 01:15:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.h 1.6
	* dumpdate.c 1.8
	  getdumptime() neu

Sun Oct 10 01:04:35 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.18
	  grip->dumpdate.tv_usec / grip->refdate.tv_usec nun korrekt auf usec statt auf nsec initialisieren

Sun Oct 10 00:27:03 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.77
	* volhdr.c 1.17
	  dt_type() neu

Sat Oct  9 15:06:00 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.233
	  -force-restore vor f= in opts

Sat Oct  9 15:05:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.21
	* star_unix.c 1.70
	  HAVE_ST_ACLCNT neu
	  Support Code fuer die Verwendung von axltext.c unter UnixWare

Sat Oct  9 14:42:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.12
	  #ifdef STAR -> #ifdef __STAR__ wegen patmatch.h

Thu Oct  7 16:54:25 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.11
	  Copyright -> 2004
	  #ifdef STAR neu

Wed Oct  6 17:22:41 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.88
	  HAVE_ST_ACLCNT / f_aclcnt neu

Wed Oct  6 16:50:56 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.8
	* star_unix.c 1.69
	  Test auf HAVE_EXT2FS_EXT2_FS_H neu

Tue Oct  5 15:03:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.232
	  Version -> 1.5a50
	  /etc/tardumps nicht mehr schreiben wenn ein ^C kam
	  Bessere Erkenning von partiellen Dumps
	  Neue Option -force-restore
	  /etc/tardumps auch schreiben wenn der Dump nur partial ist aber mit 'P' Flag

Tue Oct  5 14:59:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.102
	  get_xhtype() neu fuer Archiv Typ Erkennung aus "SCHILY.archtype="

Tue Oct  5 14:57:03 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.16
	  Bei H_XUSTAR wird nun (vorlaeufig) kein 'x'/'g' Header mehr per default erzeugt fuer bessere TAR Kompatibilitaet

Tue Oct  5 03:50:56 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.7
	* dumpdate.h 1.5
	  Support fuer Partielle Dumps neu
	  Korrektes Einruecken in /etc/tardumps auch wenn der Filename auf einem Tabstop Endet

Tue Oct  5 03:42:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.24
	  Test auf (gp->dumptype != DT_FULL) neu und Abort wenn -force-restore nicht verwendet wurde

Mon Oct  4 22:22:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.231
	  'scipt' -> 'script'

Mon Oct  4 18:32:13 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.14
	  -M usage() korrekt (nun -M mesage)

Mon Oct  4 16:11:09 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.230
	  Umbau fuer star_fat

Mon Oct  4 16:05:34 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.12
	* cpio.c 1.13
	* pax.c 1.19
	* gnutar.c 1.15
	  #define PTYPE_DEFAULT neu
	  Bessere Behandlung von DFLT_FILE fuer star vs. suntar

Mon Oct  4 15:06:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.87
	  Neue Programm Typen: P_STAR P_SUNTAR P_GNUTA P_PAX P_CPIO

Mon Oct  4 15:05:01 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.14
	* cpio.c 1.12
	* pax.c 1.18
	* suntar.c 1.11
	  star_fat wird nun unterstuetzt

Thu Sep 30 23:29:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.229
	  Version -> 1.5a49
	  Warnung fuer star -c list=ccc files

Wed Sep 29 23:42:07 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.23
	  Test auf (itmp != NULL) in sym_close() gegen core dump bei leerem Tar Archiv level 1

Tue Sep 28 01:51:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.9
	  Prototyp fuer usage()

Mon Sep 27 20:42:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.228
	  ptrdiff_t -> Intptr_t wegen besserer Portabilitaet

Sun Sep 26 16:48:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.11
	  Default Archiv Format von H_CPIO_BIN -> H_CPIO_ODC

Sun Sep 26 15:10:20 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.227
	  Optionsbehandlung fuer -C korrigiert (getdir() returniert bei (iftype == I_CPIO || iftype == I_PAX))

Sun Sep 26 15:09:10 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.17
	  Optionsbehandlung fuer -C korrigiert ("C*,... beseitigt)
	  artype= Option neu

Sun Sep 26 15:05:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.10
	  Optionsbehandlung fuer -C korrigiert ("C*,... beseitigt)
	  nblocks = 1 als korrekter Default fuer cpio
	  Blocksize optionen besser pruefen
	  bei -p wird nblocks dennoch 20
	  artype= Option neu

Sun Sep 26 14:47:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.45
	  Ausgabe des Headertype Namens neu

Sun Sep 26 13:55:40 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.125
	* fifo.c 1.55
	  Umbau von buf_sync()/fifo_sync() so dass keine Daten angefuegt werden wenn der Puffer bereits ein vielfaches der gewuenschten Groesse ist

Sat Sep 25 19:06:02 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.89
	  goto modes korrigiert

Sat Sep 25 17:01:51 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.60
	  mit diffopts=!size wird nun auch "data" Diff Berichtet wenn info->f_size != finfo.f_size

Sat Sep 25 16:24:44 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.48
	* restore.c 1.22
	* star.c 1.226
	* gnutar.c 1.13
	* cpio.c 1.9
	* pax.c 1.16
	* suntar.c 1.10
	* create.c 1.93
	* checkerr.c 1.7
	* device.c 1.11
	  lint

Sat Sep 25 15:14:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.4
	  set_xattr() nur dann durchfuehren wenn (info->f_xflags & XF_XATTR) != 0

Sat Sep 25 13:53:31 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.101
	  btos() nur kompilieren wenn DEV_MINOR_BITS > 21 (wegen lint)

Tue Sep  7 16:49:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.225
	  Version -> 1.5a47
	  -restore verlangt nun -U

Tue Sep  7 16:44:35 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.88
	  XXX Kommentar als Hinweis fuer Probleme mit make_symlink(info)

Tue Sep  7 16:36:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.21
	  Auskommentierter Kode geloescht

Tue Sep  7 16:35:21 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.20
	  sym_typecheck() ueberarbeitet, so dasz Symlinks und Specials geloescht werden
	  removefile() neu

Tue Sep  7 15:31:32 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.19
	  padd_node() fuegt nun evt. oino und nino hash auch fuer alte nodes hinzu
	  oifind_node() liefert nur noch nodes bei denen i_nino != 0 ist
	  sym_addstat() aendert nun korrekt die Eintragung in dir Hashliste fuer i_nino
	  move2dir() kann nun auch Files aus dem gesamten Filesystem finden und nicht nur aus star-tmpdir
	  sym_open() testet nun ob star-symtable ein File ist
	  sym_close() loescht nun files mit Linkcount 1 sowie leere Directories aus star-tmpdir
	  Neue funktion fullname()

Mon Sep  6 22:27:33 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.18
	* table.c 1.20
	  Cstyle

Mon Sep  6 22:25:30 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.17
	  purgeent() neu
	  printsyms() umgestellt

Mon Sep  6 22:20:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.16
	  Test ob star-tmpdir leer ist

Mon Sep  6 21:38:00 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.15
	  Strings "star-tmpdir" & "star-symtable" nun in modul globalen Variablen

Mon Sep  6 20:13:36 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.14
	  Umstellung von star-tmpdir/<oino> auf star-tmpdir/#<nino>
	  oifind_node() neu
	  Alte Inode Nummer in der Datenbank auch fuer die Root Directory
	  "Panic: No old inode for inode %lld (%s).\n" fuer star-tmpdir und star-symtable unterdruecken
	  move2tmp() loescht nun Files wenn der Node schon eine Kopie in star-tmpdir hat
	  "Cannot open 'star-symtable'.\n" Meldung nicht mehr bringen weil das spaeter auch kommt
	  imap_t  *isym neu
	  sym_inittmpdir() -> sym_initsym()
	  "star-symtable" escheint nun auch in der "star-symtable"
	  "WARNING: No old inode number for " Warnung neu

Mon Sep  6 20:01:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.h 1.3
	  imap_t  *i_honext neu

Mon Sep  6 20:00:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.87
	  Modes & Zeiten auch setzen wenn Extraktion wegen -xdir oder -xdot erfolgt

Mon Sep  6 14:21:25 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.13
	  Umbau auf xdebug

Mon Sep  6 13:49:40 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.12
	  Vermeidung von goto

Mon Sep  6 13:17:29 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.100
	  Fehlermeldungen gekuerzt so dass sie auf 80 Zeichen passen

Mon Sep  6 13:06:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.11
	  sym_preremove() -> sym_dirprepare()
	  Erste halbwegs nutzbare inkrementelle Restore Implementierung

Sun Sep  5 23:27:44 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.6
	  Cstyle

Sun Sep  5 23:26:38 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.9
	* pax.c 1.15
	* cpio.c 1.8
	* gnutar.c 1.12
	  /* BEGIN CSTYLED */ neu

Sun Sep  5 23:19:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.h 1.2
	  #define I_DID_RENAME neu

Sun Sep  5 23:12:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.76
	  sym_typecheck() neu

Sun Sep  5 23:12:07 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.86
	  sym_*() Funktionen aus restore.c nun mit imap_t *imp Parameter
	  sym_typecheck(&finfo, &cinfo) neu falls ein neues File mit identischer inode # und Namen einen inkompatiblen Typ hat

Sun Sep  5 14:15:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.92
	  } while ((blocks -= n) >= 0 && i == amount && size >= 0); ---> } while ((blocks -= n) >= 0 && i > 0 && size >= 0); damit nicht Lesefehler zu "file changed size (shriked)" werden

Sun Sep  5 13:45:53 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.75
	  Funktionen von restore.c nun mit imap_t * Parameter
	  sym_preremove() -> sym_dirprepare()

Wed Sep  1 18:02:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.10
	  oifind_node() & find_node() beseitigt

Wed Sep  1 18:01:08 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.9
	  Umbau auf restore.h
	  Umbau auf neue baunfoermige Variante der Datei star-symtable
	  if (imp->i_hash & I_DELETE) -> if (imp->i_flags & I_DELETE) (Bug beseitigt)
	  nfind_node() & add_node() arbeiten nun relativ zu dir Pointer
	  pfind_node(name) & padd_node(name, oino, nino, flags) neu

Wed Sep  1 17:49:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.h 1.1
	  date and time created 04/09/01 16:49:54 by joerg

Sun Aug 29 19:45:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.8
	  "star-tmpdir/." -> modifizierbaren Speicher
	  diverse andere Aenderungen....

Wed Aug 18 04:33:21 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.7
	  /star-tmpdir erzeugen
	  Hash Liste mit 1024 Eintraegen gibt 1000x Geschwindigkeit
	  sym_init() neu
	  /star-symtable mit 0600 erzeugen

Wed Aug 18 04:02:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.224
	  Version -> 1.5a45
	  -xdev als Alias fuer -M neu
	  bei -restore wird -xdot impliziert
	  checkdumptype() neu

Wed Aug 18 03:59:30 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.15
	  dt_name() nun GLOBAL

Wed Aug 18 03:58:41 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.74
	  sym_init() neu, create_dirs() & dt_name() nun GLOBAL

Wed Aug 18 03:57:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.85
	  umask() frueher initialisieren damit restore spezial Files mit behandelt werden
	  curfs initialisieren
	  sym_init(grip); neu

Wed Aug 18 03:56:34 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.6
	* dumpdate.h 1.4
	  writedumpdates() hat nun mehr Parameter und schreibt eine Meldung ob /etc/tardumps gechrieben wurde

Mon Aug 16 11:51:50 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.6
	  dirdiskonly() aktiviert

Sun Aug 15 01:42:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.5
	  Allozieren der Hash map -> sym_open()

Sat Aug 14 22:09:33 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.4
	  Hash Tabelle fuer Filenamen mach Suchen 1000x schneller

Sat Aug 14 18:41:02 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.3
	  vashval() neu

Tue Aug 10 02:13:28 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.5
	  Umbau auf astollb() damit die Zeit 12345.0189 korrekt gepars werden kann

Tue Jul 27 22:47:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.5
	  in closepattern() Platz fuer das State Array immer dann schaffen wenn (maxplen > 0) und nicht nur wenn (npat > 0)

Wed Jul 21 00:49:57 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.223
	  Copyright -> 2004

Tue Jul 20 23:07:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.84
	  Das Extrahieren von Hardlinks auf Directories geht nun

Tue Jul 20 22:31:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.222
	* create.c 1.91
	  Version -> 1.5a43
	  Neue Option -dumpmeta, ohne -dumpmeta werden nun bei incrementellen Dumps Fileinhalte auch dann archiviert wenn nur st_ctime neu ist

Tue Jul 20 21:30:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.90
	  Struct pdirs neu damit (hardlink) Directory Loops erkannt werden

Tue Jul 20 21:04:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.89
	  put_dir() umgebaut damit unlesbare Directories mit archiviert werden koennen

Sun Jul 11 02:05:19 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.8
	* buffer.c 1.124
	  -> NEED_O_BINARY

Sat Jul 10 15:39:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.83
	  Mehrfache Schleifen damit symlinks auf symlinks mit -copy-links funktionieren

Sat Jul 10 15:36:21 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.221
	  Version -> 1.5a42

Sat Jul 10 13:37:15 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.54
	  closetape() Aufruf neu

Thu Jul  8 10:50:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.220
	* create.c 1.88
	  Neue Option -match-tree

Thu Jun 17 21:14:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.11
	* suntar.c 1.8
	* star.c 1.219
	  char archive = -1 -> signed char weil 'char' unter IRIX per Default unsigned ist

Fri Jun 11 18:58:50 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.123
	  Schreibfehler close(tcompress_arf_save) -> fclose(compress_tarf_save

Fri Jun 11 11:50:41 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.218
	  Version -> 1.5a41

Fri Jun 11 11:46:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.217
	* extract.c 1.82
	  -DCOPY_LINKS_DELAYED neu
	  -copyhardlinks/-copysymlinks/-copydlinks neu

Sat Jun  5 18:19:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.122
	  star -z funktioniert nun auch mit -c & DOS

Sat Jun  5 02:02:20 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.44
	  v7tar neu

Sat Jun  5 01:36:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.19
	* table.h 1.11
	  xtv7tar_tab[] neu

Sat Jun  5 01:33:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.7
	  setmode(fileno(stdin), O_BINARY);

Sat Jun  5 01:33:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.86
	  "v7tar" neu

Sat Jun  5 01:32:46 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.99
	  hdr_text() neu
	  "v7tar" neu

Sat Jun  5 01:32:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.73
	  hdr_text() neu

Mon Apr 26 02:15:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.216
	  Version -> 1.5a40

Mon Apr 26 02:14:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.68
	  setmodes() vermeidet nun times/modes bei Hard Links zu setzen wenn sie auf Symlinks zeigen

Thu Apr 22 13:56:23 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.67
	  #ifndef NEW_P_FLAG  Code beseitigt
	  Copyright -> 2004

Wed Mar 10 23:52:02 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.215
	  set_signal() nun mit __PR() Makro beim handler Parameter

Wed Mar 10 23:36:58 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.214
	  Neue Funktion set_signal() damit statt signal() auch sigsction()/sigvec() gerufen werden koennen
	  um Signale nicht read()/write() unterbrechen zu lassen.

Wed Mar 10 22:43:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.53
	  FIFO move Text in FIFO Statisktik verbessert
	  Neue Fifo Statistik fuer FIFO Fuellstand

Mon Mar  8 12:29:53 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.81
	  Fehlerhafte Reihenfolge bein Verodern der Zugriffsrechte und der File Type Bits korrigiert

Sun Mar  7 14:04:29 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.17
	  sdirmode mit #ifdef PROTOTYPES wegen short mode_t

Sun Mar  7 00:33:48 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.10
	* suntar.c 1.7
	* star.c 1.213
	* cpio.c 1.7
	* pax.c 1.14
	  Version -> 1.5a39
	  Neue Option -no-p (nopflag)
	  cpio/gnutar/pax/suntar angepasst

Sat Mar  6 22:48:45 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.66
	  (info->f_mode & 07000) -> (info->f_mode & (TSUID | TSGID | TSVTX))

Sat Mar  6 22:44:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.80
	  init_umask() neu fuer neues -p Handling
	  Viele Aenderungen fuer neues -p Handling

Sat Mar  6 22:42:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.16
	  #define DEBUG wieder beseitigt

Sat Mar  6 22:41:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.65
	  Umbau fuer #define NEW_P_FLAG
	  Neue Funktion setdirmodes(name, mode)
	  Neues Makro OSMODE(tarmode)
	  Neue Funktion osmode(tarmode)

Sat Mar  6 22:36:13 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.15
	  Stack fuer file permissions neu
	  sdirtimes() mit zusaetzlichem Parametern do_times und do_mode
	  Bessere Erkennung und Markierung ungenuzter Eintraege mit tv_usec = -1
	  sdirmode(name, mode) neu
	  dirtimes() mit zusaetzlichem Parameter mode
	  Fehlerkorrektur bei Namensvergleich: auch aufhoeren wenn *np == 0

Sat Mar  6 17:11:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.72
	* dirtime.h 1.3
	  dirtime Prototypen sind nun nur noch in dirtime.h
	  dirtime Prototypen erweitert um dir mode stack Features

Fri Mar  5 23:58:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.20
	* star.c 1.212
	  uid -> uid_t

Tue Mar  2 18:49:16 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.121
	  nicht nur star uf sondern auch star rf erlaubt nun nicht leere Files als Archiv

Tue Mar  2 16:21:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.14
	  Copyright -> 2004
	  struct timeval badtime neu, ungueltige Zeit ist nun tv_usec == -1
	  verbesserter Kommentar

Mon Mar  1 23:23:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.6
	* unicode.c 1.6
	* restore.c 1.2
	* header.c 1.98
	* diff.c 1.59
	* star.h 1.85
	* fifo.h 1.17
	  Cstyle

Mon Mar  1 23:16:07 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.14
	* star.c 1.211
	* extract.c 1.79
	  Cstyle
	  Copyright -> 2004

Mon Mar  1 23:14:44 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.47
	* subst.c 1.7
	  Copyright -> 2004

Mon Mar  1 14:53:06 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.210
	  Version -> 1.5a38

Sun Feb 29 01:27:52 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.120
	  eofptr bei star -u nur verwenden wenn != NULL sonst core dump bei leerem Archiv File
	  "Will not overwrite... Meldung nur noch bei star cf file und nicht mehr bei star uf file

Fri Feb 27 21:04:50 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.58
	  Schreibfehler beseitigt der trotz -acl _getinfo() rief

Fri Feb 27 11:38:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.209
	* diff.c 1.57
	* diff.h 1.9
	  Version -> 1.5a37
	  -diff Support fuer ACLs, Extended File Attributes & Extended File Flags neu

Fri Feb 27 11:36:45 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.3
	  Verbesserter Code damit nicht '@' fuer jedes File angezeigt wird

Tue Feb 10 01:31:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.208
	  Version -> 1.5a36

Mon Dec 15 08:32:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.119
	  star -cz ... geht definitiv nicht auf DOS weil popen() Programm zuerst laeuft

Sun Nov 30 13:11:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.118
	  Erster Versuch Compress Pipes auch auf DOS/DJGPP zu implementieren

Sun Nov 30 00:01:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.117
	  #include <io.h> auch fuer DJGPP

Sat Nov 29 23:33:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.116
	  #include <io.h> fuer setmode(fileno, O_BIMNARY)
	  setmode(fileno, O_BINARY) auch fuer JDGPP

Thu Nov 20 18:25:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.207
	  Version -> 1.5a35

Thu Nov 20 18:25:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.46
	  Durch Einfuehrung des "len" Parameters in gen_iarray() fing die Berechnung des "len" Wertes nicht mehr
	  bei 0 an sondern bei dem einkommenden Wert. Dadurch wurde (fuer den Fall dasz die Gesamtlaenge korrekt
	  geschaetzt wurde) der zu hohe Wert in den POSIX.1-2001 Header eingetragen.

Mon Nov 17 14:44:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.44
	  split_posix_name() prueft nun (props.pr_nflags & PR_LONG_NAMES)
	  name_to_tcb() prueft nun zuesaetzlich (namelen+add > props.pr_maxnamelen)
	  name_to_tcb() erzeugt nur noch sehr lange Namen wenn (props.pr_nflags & PR_LONG_NAMES) war ist

Mon Nov 17 12:59:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.15
	  Hinweis auf MF_ADDSLASH in name_to_tcb() in longname.c

Wed Nov 12 17:33:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.115
	  cur_size/cur_off/old_size/old_off -> m_stats damit sie im shared memory stehen
	  fifo_hpos() -> BOOL damit sie melden kann ob kein gesetztes Bit gefunden wurde
	  Bei Files > FIFO size wird nun auch im -fifo Modus ein korrekter multivol cont Header geschrieben

Wed Nov 12 17:31:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.87
	  cur_size/cur_off -> m_stats damit sie im shared memory stehen
	  bei tsize > 0 duerfen Files > tsize nur dann nicht archiviert werden wenn -multivol nicht verwendet wurde

Wed Nov 12 17:28:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.16
	  cur_size/cur_off/old_size/old_off -> m_stats damit sie im shared memory stehen

Wed Nov 12 09:13:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.114
	* fifo.c 1.52
	  Bistring name ist nicht char * sondern bitstr_t * (unsigned char *)

Wed Nov 12 00:11:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.206
	  Version -> 1.5a34
	  Setzen von dir_flags erst nach dem fifo-fork, damit echo README | star -copy list=- /tmp nicht 2x chdir("/tmp") macht

Tue Nov 11 23:39:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.51
	  mp->bmlast neu
	  fbit_nclear() neu
	  do_out() mit korrigiertem Bithandling

Tue Nov 11 23:33:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.113
	  Erster Versuch Multivol Continuation Header fuer den -fifo Fall zu schreiben

Tue Nov 11 21:45:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.71
	* header.c 1.97
	  newvolhdr() hat nun 3 Parameter: buf, amount, do_fifo

Tue Nov 11 20:27:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.15
	  mp->bmlast neu

Tue Nov 11 01:44:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.50
	  Anlegen einer Bitmap und loeschen der Bits aus den bereits geschriebenen Bereichen

Mon Nov 10 22:09:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.205
	  -no-fifo aktivieren bei -print-artype

Mon Nov 10 22:06:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.112
	* cpiohdr.c 1.14
	* header.c 1.96
	  Umbauten fuer neue Option -print-artype

Mon Nov 10 22:01:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.84
	  Erweiterte C_* Kompressionsdefinitionen

Mon Nov 10 22:00:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.70
	  print_hdrtype() nun mit FILE * Parameter
	  get_cmpname() neu

Mon Nov 10 21:59:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.204
	  Neue Option -print-artype und artype=

Mon Nov 10 15:03:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.14
	  Bitstrings neu

Mon Nov 10 15:02:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bitstring.h 1.5
	  bit_init()/bit_fill()/bit_ffcs()/bit_ffss() neu

Mon Nov 10 15:01:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.111
	  marktcb() nun mit Bitmap Markierung im Falle von -multivol && -fifo

Sat Nov  8 14:16:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.203
	  Bessere Online Hilfe fuer -tpath
	  Abbruch bei level= ohne -M

Sun Nov  2 00:52:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.5
	  2. Versuch nun mit char * statt char [] wegen K&R

Sun Nov  2 00:43:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.4
	  Initialisierungen sind nun K&R Kompatibel

Sun Nov  2 00:40:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.13
	  & vor Funktion beseitigt

Sun Nov  2 00:39:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.43
	  Backslash beseitigt den K&R C nicht will

Sat Nov  1 23:20:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.110
	  Neue Funktion marktcb()
	  newvolhdr() ruft nun xbbackup()/xbrestore()
	  newvolhdr() hat nun Code fuer das Schreiben von multivol Headern
	  writeblock() returniert nun die Adresse des gechriebenen Blocks
	  old_size/old_off neu

Sat Nov  1 23:16:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.13
	  put_volhdr() hat nun 2. Parameter der festlegt ob ein 'V' Header geschrieben wird
	  Neue Funktion put_multhdr()

Sat Nov  1 23:14:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.95
	  isxmagic() kommt nun auch mit 'M' headers klar denn dort ist der continuation offset auch prefix[130]
	  write_tcb() ruft nun marktcb() und berechnet vorher den TCB Pointer
	  realsize nun auch bei 'M'ultivol headern fuellen
	  'M'ultivol bei 'xstar' und 'star' fuellt/liest nun auch contoffset

Sat Nov  1 22:52:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.45
	  Neue Funtionen _xbinit()/xbbackup()/xbrestore()/get_offset()
	  Neuer POSIX.1-2001 Tags "SCHILY.offset"

Sat Nov  1 22:49:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.69
	  Neue Funktionen marktcb()/put_multhdr()/xbbackup()/xbrestore()
	  writeblock() liefert nun eine Pointeradresse zurueck
	  put_volhdr() nun mit BOOL putv ('V')

Sat Nov  1 22:41:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.202
	  Version -> 1.5a33
	  put_volhdr() hat nun 2. Parameter der festlegt ob ein 'V' Header geschrieben wird

Sat Nov  1 18:31:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.86
	  cur_size/cur_off neu fuer 'M' multivol 

Sat Nov  1 14:41:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.83
	  XF_OFFSET neu

Sat Nov  1 14:37:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.42
	  props.pr_maxnamelen fuer "ustar" nun korrekt auf 256 wegen veraenderter Abfragen in longnames.c

Wed Oct 29 15:32:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.56
	  Directory Diff Code ist nun wieder erst bei -diff -vv aktiv

Wed Oct 29 15:31:52 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.43
	* gnutar.c 1.9
	* buffer.c 1.109
	  strcatl()/concat()/*execl() casten nun NULL im letzten Arg nach (char *)NULL

Tue Oct 21 23:48:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.12
	* xheader.c 1.44
	  Extended header mit value len == 0 loescht nun den bisherigen Wert

Tue Oct 21 20:31:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.18
	* props.c 1.41
	  PR_MULTIVOL neu nund nur bei star Archive Formaten aktivieren

Tue Oct 21 20:31:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.201
	  Version -> 1.5a32
	  -multivol geht im Create Mode nun nur noch mit star Archive Formaten
	  multivol stillschweigend abgeschaltet wenn -copy Modus

Mon Oct 20 14:06:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bitstring.h 1.4
	  cstyle

Mon Oct 20 13:38:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bitstring.h 1.3
	  _SYS_BITSTRING_H_ -> _BITSTRING_H

Mon Oct 20 13:36:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bitstring.h 1.2
	  Umbau auf BSD-2 Lizens vom. 22.Juli 1999 William Hoskins Director, Office of Technology Licensing University of California, Berkeley
	  Siehe: ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change

Mon Oct 20 13:33:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bitstring.h 1.1
	  date and time created 03/10/20 12:33:21 by joerg

Mon Oct 20 01:50:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.200
	* buffer.c 1.108
	* create.c 1.85
	* diff.c 1.55
	  Umstellung auf _getinfo()

Mon Oct 20 01:47:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* restore.c 1.1
	  date and time created 03/10/20 00:47:46 by joerg

Mon Oct 20 01:43:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.78
	  restore.c neu
	  Umstellung auf _getinfo()

Mon Oct 20 01:41:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.68
	  _getinfo() neu
	  restore.c neu

Mon Oct 20 01:22:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.64
	  _getinfo() neu

Sun Oct 19 13:58:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.19
	  Kuerzere Zeilen fuer cstyle

Sun Oct 19 13:54:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.18
	  Hoffentlich letzter Versuch von A. Gruenbacher die Defekten ACL Strings von Linux zu umgehen

Thu Oct 16 15:28:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.43
	  Fehler beim Verschieben von text oder iarray nach falsch geratener Laenge beseitigt: Start nun bei xbidx+olen statt bei xbidx+llen

Thu Oct 16 00:48:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.107
	* xheader.c 1.42
	  Cstyle aenderungen

Thu Oct 16 00:16:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.199
	  -j auch im Compat Mode erlauben

Thu Oct 16 00:08:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.198
	  Version -> 1.5a31
	  Neue Optionen -j, -xdot, -restore
	  Experimental Hinweise beseitigt
	  dogetwdir() Aufruf nun auch korrekterweise bei star -ctv

Thu Oct 16 00:02:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.77
	  Neue Option -xdot

Wed Oct 15 01:45:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.41
	  Ullong -> Llong wegen astollb()

Wed Oct 15 01:12:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.82
	  info->f_dirinos/info->f_dirents neu

Wed Oct 15 01:11:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.40
	* create.c 1.84
	* header.c 1.94
	* star_unix.c 1.63
	* starsubs.h 1.67
	* diff.c 1.54
	  SCHILY.dino implementiert, gen_iarray()/get_iarray() neu, info->f_dirinos/info->f_dirents neu

Tue Oct 14 19:20:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.53
	  Umbau auf neue Funktion dirdiffs() und Benutzung von cmpdir()

Tue Oct 14 19:18:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.11
	* dumpdate.c 1.4
	  Workaround fuer FreeBSD/MacOS X broken tv_sec/time_t

Tue Oct 14 19:14:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.66
	  Neue Funktion cmpdir()

Sat Oct 11 17:32:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.106
	  changetape() setzt nun pid != 0 damit auch von FIFO Prozess prstat() etwas ausgibt
	  changetape() setzt nun auch gip->volno (im shared Memory)
	  nextitape() ruft nun verifyvol() nach Bandwechsel ohne FIFO
	  nextotape() ruft nun wieder unbedingt weof() denn nextotape() wird nur im non-split multivol Mode gerufen
	  startvol()/newvolhdr() neu
	  initbuf() alloziert nun auch mit FIFO im multivol Schreibmodus 2xbufsize damit der Volheader geschrieben werden kann
	  writetape() hat nun einen Aufruf von changetape() der durch Erreichen von tsize= ausgeloest wird
	  flushbuf() hat nun Schleife ueber writebuf() falls Bandwechsel direkt am Ende kommt.

Sat Oct 11 17:22:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.49
	  pit != 0 Zuweisung zum Erzwingen einer Ausgabe in prstats() -> changetape()
	  startvol() Aufruf neu in do_out() zum Schreiben von Volheadern
	  do_in(): verifyvol() Aufruf ueberarbeitet

Sat Oct 11 14:53:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.10
	  Ein Volheader wird nun auch geschrieben wenn tsize= ohne -multivol verwendet wird
	  Neuer Check auf zu grossen Volume header

Sat Oct 11 13:49:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.93
	  newvolhdr() Aufruf nach nextotape()
	  tsize= bedingter Bandwechsel ohne split File von write_tcb() -> put_tcb() damit alles fuer ein File zusammensteht

Fri Oct 10 21:06:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.65
	  newvolhdr() neu

Fri Oct 10 18:07:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.39
	  Vorkehrungen gegen alte archive bei denen SCHILY.dir nur mit einem null Byte endet
	  xhsize() neu

Fri Oct 10 18:06:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.52
	  Vorkehrungen gegen alte archive bei denen SCHILY.dir nur mit einem null Byte endet

Fri Oct 10 18:05:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.64
	  startvol() & xhsize() neu

Fri Oct 10 17:59:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.83
	  fetchdir() len enthaelt nun auch das zweite null Byte (Listen Terminator)

Thu Oct  9 21:34:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.9
	  verifyvol() Sucht nun auch nach 'V'olheadern zum Skippen

Thu Oct  9 00:30:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.92
	  Non-file-Split Multi Volume Aktionen unterbinden wenn -multivol aktiv ist

Thu Oct  9 00:27:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.8
	  'g' Header am Anfang eines Weiterfuehrungs Mediums bei multivol ignorieren wenn dort keine VOLHDR Info drin ist
	  Nach dem 'g' Header musz entweder ein 'V' oder ein 'M' Header kommen

Wed Oct  8 22:41:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.8
	  Fehlerkorrekturen: star_darchive(arname, NULL) funktioniert nun
	  nblocks und tsize werden korrekt in ihrer Zahlenbasis aufgesetzt

Wed Oct  8 21:59:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.197
	  tsize auf Tape Blockgroesse abrunden
	  tsize minimum check hinter das Lesen von /etc/default/*tar verschoben

Wed Oct  8 02:15:11 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.7
	  grinit() beachtet nun GF_NOALLOC
	  Neue Funktion gipsetup() 
	  Neue Funktion verifyvol() allerdings erst halb fertig

Wed Oct  8 01:58:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.48
	  GINFO *gip nun im shared Memory
	  setprops() damit es gespiegelte Properties auch im FIFO Prozess gibt
	  Erster Versuch nach einem Bandwechsel im Read-Modus den HEader zu verifizieren

Wed Oct  8 01:44:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.13
	  ginfo neu in m_head

Tue Oct  7 22:32:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.38
	  gipsetup() Aufruf neu

Tue Oct  7 22:31:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.105
	  buf_resume() setzt nun neuen Strukt Member stats->hdrtype (bei FIFO im shared mem) damit der fifi Prozess auch bescheid weis

Tue Oct  7 22:25:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.91
	  tarsum_ok() neu
	  buf_resume() nach hinten verschoben damit beim wiederaufwecken des FIFO Prozesses der Archivtyp bekannt ist

Tue Oct  7 22:12:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.196
	  Version -> 1.5a30

Tue Oct  7 20:58:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.12
	  m_stats->hdrtype & m_head->rsize neu

Tue Oct  7 20:56:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.63
	  changetape() nun mit donext Parameter
	  tarsum_ok()/gipsetup()/verifyvol()/xhparse() neu

Tue Oct  7 20:53:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.81
	  Neues Flag GF_NOALLOC

Tue Oct  7 01:39:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.37
	  xhparse() neu

Mon Oct  6 23:08:52 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.104
	  changetape() nun mit 'donext' Parameter

Mon Oct  6 21:00:48 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.80
	  GF_MINIT neu

Mon Oct  6 01:05:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.36
	  Neue Funktion gen_unumber()
	  gen_number() kann nun korrekt negative Zahlen ausgeben
	  Umstellung der meisten numerischen Ausgaben auf gen_unumber()

Sun Oct  5 03:06:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.62
	  gen_unumber() neu

Sun Oct  5 02:12:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.6
	  gip->volno/gip->blockoff/gip->blocksize Check auf > 0 statt != 0

Sun Oct  5 01:41:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.35
	  Check auf non-digit im len Feld neu
	  Check ob '=' vor der Laenge des aktuellen Feldes kommt neu

Sun Oct  5 01:06:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.34
	  Check auf Syntax error: missing '='

Sun Oct  5 00:01:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.5
	  Schreibfehler korrigiert in ginit() grip->archtype -> gip->archtype

Sat Oct  4 23:07:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.79
	* volhdr.c 1.4
	  DT_UNKNOWN -> DT_UNKN wegen DT_UNKNOWN used in BSD <dirent.h>

Fri Oct  3 23:20:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.3
	  finfo.f_atime = gip->volno; bei altem star zur Uebertragung der Volume Nummer

Fri Oct  3 19:38:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.33
	  Neues include file xtab.h
	  get_xvolhdr()/get_release()/get_archtype() neu
	  get_xtime()/get_number() nun global

Fri Oct  3 19:31:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.2
	  Volheader Management mit 'g'lobalen POSIX.1-2001 headern

Fri Oct  3 19:27:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.195
	  Version -> 1.5a29
	  GINFO neu
	  Volheader Management bei dumplevel >= 0

Fri Oct  3 18:10:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.61
	  get_xtime()/get_number() nun global
	  ginit()/grinit()/priprint() neu

Fri Oct  3 18:03:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.78
	  GINFO neu

Fri Oct  3 16:54:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xtab.h 1.1
	  date and time created 03/10/03 15:54:36 by joerg

Fri Oct  3 13:07:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.60
	  hdr_name() & put_archtype() neu
	  put_release() -> volhdr.c

Fri Oct  3 12:54:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.32
	  put_release() -> volhdr.c
	  "SCHILY.archtype" neu
	  XF_NOTIME funktioniert nun
	  gen_xtime() kann nun auch andere Strings als "atime", "ctime", "mtime"
	  get_xtime() kann nun auch weniger als 9 Nachkommastellen (groeber als Nanosekunden)

Fri Oct  3 01:27:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.90
	  hdr_name() neu

Fri Oct  3 01:23:11 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.3
	  Microsekunden in /etc/tardumps aktiviert

Thu Oct  2 02:41:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.89
	* starsubs.h 1.59
	* star.c 1.194
	  Umstellung auf hdr_usage()/hdr_type() und htab_t

Wed Oct  1 19:34:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.31
	  gen_xtime()/gen_number()/gen_text() sind nun EXTERN; get_*() Funktionen mit klen Parameter; SCHILY.volhdr.* neu

Wed Oct  1 19:33:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.58
	  volhdr Funktionen -> volhdr.c
	  gen_xtime()/gen_number()/gen_text() sind nun EXTERN

Wed Oct  1 19:32:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.88
	  volhdr Funktionen -> volhdr.c

Wed Oct  1 17:37:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volhdr.c 1.1
	  date and time created 03/10/01 16:37:09 by joerg

Mon Sep 29 13:34:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.193
	  -no-dirslash kann nicht mit -Htar verwendet werden da der Slash die Methode zum Erkennen von dirs ist

Mon Sep 29 02:01:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.192
	  Besserer Kommentat in getdir()

Mon Sep 29 01:57:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.191
	  opts wird schreibbarer String damit man '....,?' wegpatchen kann
	  getdir() patcht nun '...,?' weg damit das fuer tar c4 eingefuehrte nicht mit -C (freistehend) konkurriert
	  2. gettimeofday(&ddate, 0) beseitigt, damit im Volhdr die selbe Zeit steht wie in /etc/tardumps

Mon Sep 29 01:54:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.8
	* suntar.c 1.6
	* cpio.c 1.6
	* pax.c 1.12
	  opts wird schreibbarer String damit man '....,?' wegpatchen kann

Sun Sep 28 23:25:19 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.5
	* star.c 1.190
	* longnames.c 1.42
	  Neue Option -no-dirslash

Sun Sep 28 23:17:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.7
	  Sicherstellen, dasz immer "/" an Directories angehaengt werden

Sun Sep 28 23:15:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.56
	  Hinzufuegen eines "/" am Ende einer dir nur im -c Mode

Sun Sep 28 23:10:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.55
	  no_dirslash neu und Ausgabe der Directorynamen wie sie im Archiv stehen

Sun Sep 28 22:51:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.189
	  Version -> 1.5a28
	  Neue Funktion put_release()

Sun Sep 28 22:50:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.87
	  Wegen der Erzeugung von 'g'lobalen P-2001 Headern wird nun 'ghdr' getestet

Sun Sep 28 22:49:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.57
	* xheader.c 1.30
	  Neue Funktion put_release()

Sun Sep 28 22:48:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.40
	* props.h 1.17
	  Neues Flag PR_VU_XHDR

Sun Sep 28 17:56:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.77
	  init_finfo() neu
	  XF_POSIX neu

Sun Sep 28 17:55:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.188
	  star_mkvers() neu

Sun Sep 28 17:51:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.39
	  props.pr_xhmask Headerspezifisch initialisiert

Sun Sep 28 17:42:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.29
	  Auswertung der Maske props.pr_xhmask

Sun Sep 28 17:28:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.28
	  write_xhdr() neu
	  get_xtime() erlaubt nun einen Null Pointer fuer die Nanosekunden

Sun Sep 28 16:06:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.16
	* props.c 1.38
	* star_unix.c 1.62
	  props.pr_xdflags -> props.pr_xhdflags, props.pr_xhmask neu

Sat Sep 27 15:33:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.187
	  SChreibfehler vesions -> versions

Sat Sep 27 15:32:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.82
	  Kommentar verbessert bei telldir()/seekdir() Fehlern

Sat Sep 27 15:31:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.6
	  -tpath Flag bei -x  & -c setzen weil GNU tar eine unuebliche verbose Ausgabe macht

Sat Sep 27 15:29:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.54
	  star cv -tpath gibt nun nur noch den Filenamen aus

Fri Sep 26 13:43:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.186
	  Create Code aus main() und copy_create() zusammengefasst zu star_create()

Fri Sep 26 13:32:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.185
	  Fehler bei -c -t beseitigt: &oav[oac+1] -> &oav[oac]

Fri Sep 26 02:07:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.184
	* create.c 1.81
	  Umbau auf struct timeval bei Newer & ddate

Fri Sep 26 02:06:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.2
	* dumpdate.h 1.3
	  Umbau auf struct timeval

Fri Sep 26 01:49:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.53
	  ddate wird nicht gebraucht

Fri Sep 26 01:01:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.183
	* cpio.c 1.5
	* gnutar.c 1.5
	  cstyle

Thu Sep 25 15:26:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.47
	  DEBUG wieder deaktiviert

Thu Sep 25 15:19:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.103
	  writebuf() nun mit amount Parameter
	  flushbuf() ruft nun writebuf(bigcnt) auf

Thu Sep 25 15:14:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.102
	  Total Ausgabe in prstats() bei multivol sollte nun korrekt sein
	  EOT Erkennung in writetape() bei -multivol
	  changetape() Aufruf in writebuf()/flushbuf()

Thu Sep 25 15:12:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.11
	  Neue fifo_stats() Ausgabe fuer Block Residual moves

Thu Sep 25 15:12:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.46
	  movebytes() fuer Block Residual kann nun bis zu 'obs' gross werden
	  Neue fifo_stats() Ausgabe fuer Block Residual moves
	  changetape() bei EOT Erkennung und -multivol

Wed Sep 24 17:10:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.101
	  writebuf() kommt nun damit klar wenn writetape() einen unvollstaendigen Block schreibt (QIC EOT)

Wed Sep 24 16:42:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.182
	  Version -> 1.5a27
	  Neue Option -qic525

Wed Sep 24 16:41:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.100
	  Vorbereitungen fuer auto multivol bei Bandende

Mon Sep 22 15:32:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.27
	  info_xcopy() neu damit 'g' header funktionieren

Mon Sep 22 01:03:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.45
	  fifo_chtape() -> fifo_chotape()
	  fifo_chitape() neu
	  -multivol neu

Mon Sep 22 00:05:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.99
	  nexttape() -> nextotape(), fifo_chtape() -> fifo_chotape()
	  nextitape()/fifo_chitape() neu
	  -multivol neu
	  Check auf compression nur bei stats->volno == 1

Sun Sep 21 23:55:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.86
	  nexttape() -> nextotape()

Sun Sep 21 23:50:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.56
	  nexttape() -> nextotape(), fifo_chtape() -> fifo_chotape()
	  nextitape()/fifo_chitape() neu

Sun Sep 21 23:47:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.181
	  Bei -multivol braucht man auch /dev/tty

Sun Sep 21 23:47:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.4
	  star kann jetzt -multivol

Sun Sep 21 13:58:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.180
	  -multivol neu

Sun Sep 21 13:34:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.98
	  multivol verhindert das Schreiben von logischen EOF Record beim Bandwechsel
	  "Cannot backspace .." Meldung nun "tape"/"medium"
	  Kommentar stark erweitert

Sun Sep 21 03:29:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.44
	  fifo_resume() ist nun OK

Sat Sep 20 14:58:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.26
	  snprintf() -> js_snprintf()

Sat Sep 20 14:26:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.179
	  star_checkopts() mit int archive (statt char) und bessere Wertebereichsueberpruefung

Sat Sep 20 14:24:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.3
	  AUf neuer Zeile fortgesetzte Strings (ehemals von GNU tar.c) repariert

Sat Sep 20 13:51:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.2
	  --totals -> -time, Bessere Warnungen bei nicht unterstuetzten Optionen

Sat Sep 20 13:50:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.178
	  comments? -bsdchdir -Z compress-program= neu
	  "gnutar" kann nun integriert werden

Sat Sep 20 13:15:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.97
	  -Z compress-program= -force-local neu

Sat Sep 20 04:02:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.4
	* pax.c 1.11
	* cpio.c 1.4
	  star_info() -> xxx_info()

Sat Sep 20 04:00:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* gnutar.c 1.1
	  date and time created 03/09/20 03:00:49 by joerg

Sat Sep 20 03:51:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.55
	* star_unix.c 1.61
	  archisnull() neu

Fri Sep 19 16:17:53 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.10
	* cpio.c 1.3
	  Umstellung auf star_helpvers()/star_checkopts()

Fri Sep 19 15:50:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.3
	  Umstellung auf get_helpvers()/star_checkopts()/star_nfiles()

Fri Sep 19 15:48:48 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.177
	  star_nfiles() neu

Fri Sep 19 15:44:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.176
	  star_checkopts() ist nun auch fuer suntar zu gebrauchen

Fri Sep 19 15:22:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.175
	  star_helpvers()/star_checkopts() neu

Fri Sep 19 14:31:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.174
	  Aufrufbedingungen von star_darchive() korrigiert

Fri Sep 19 14:18:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.173
	  -0..7 Option neu
	  Star erzeugt keine Archive mehr wenn nicht genug file Parameter verwendet wurden

Fri Sep 19 14:02:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.7
	* starsubs.h 1.54
	  get_stardefaults() ist nun extern

Thu Sep 18 18:13:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.2
	  SVr4 Optionen hinzugefuegt

Thu Sep 18 18:10:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.172
	  Verision -> 1.5a26
	  getllnum aktiviert

Thu Sep 18 16:58:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.171
	  nodir -> noxdir (extract only)
	  Neues -H Format "bin" (UNIX V7 CPIO Binary) kann nun erzeugt werden

Thu Sep 18 16:57:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.2
	* extract.c 1.76
	  nodir -> noxdir (extract only)

Thu Sep 18 16:50:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.13
	* header.c 1.85
	  Das Erzeugen von CPIO_BIN (UNIX V7) Archiven wird nun unterstuetzt

Thu Sep 18 16:48:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpio.c 1.1
	  date and time created 03/09/18 15:48:44 by joerg

Wed Sep 17 17:38:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.41
	  Aehnlich  PAX Rationale bekommen ./@Long* nun TUREAD|TUWRITE Permissions

Wed Sep 17 15:56:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.84
	  ptb->dbuf.t_linkflag == LF_GHDR ('g') muss auch als extended Header akzeptiert werden sonst gibt es eine Endlosschleife

Wed Sep 17 15:53:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.25
	  Nach PAX Rationale bekommt der ././@PaxHeader nun TUREAD|TUWRITE Permissions

Wed Sep 17 02:40:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.37
	  Linkflag 'M' ist kein Xtension Header

Wed Sep 17 01:09:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.75
	  get_file() arbeitet nun nach der selben Methode wie die anderen Extraktionsroutinen wenn create_dirs() oder remove_file() gerufen wurde

Wed Sep 17 00:30:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.74
	  Kein unlink() mehr bei 'uncond' (-U), wenn man remove will, dann jetzt -U -remove-first

Tue Sep 16 22:16:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.73
	* starsubs.h 1.53
	* subst.c 1.6
	  newer() mit 2. Parameter FINFO *cinfo

Tue Sep 16 22:08:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.60
	  info->f_filetype = -1 zur Initialisierung damit man erkennen kann ob getingo geklappt hat

Tue Sep 16 19:27:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.6
	  getknum() erwartet Lling aber tsize ist Ullong

Tue Sep 16 16:05:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.72
	  get_file() ruft nun void_file(info); bei dometa
	  Neue Funktion get_ofile()

Mon Sep 15 17:06:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.9
	  star_defaults() hat neuen Parameter

Mon Sep 15 16:52:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* suntar.c 1.1
	  date and time created 03/09/15 15:52:17 by joerg

Mon Sep 15 16:51:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.170
	  Erweiterungen fuer suntar.c

Mon Sep 15 16:50:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.5
	* starsubs.h 1.52
	  getbnum()/getknum() nun Global
	  star_defaults() mit dfltname Parameter
	  star_darchive() neu

Mon Sep 15 14:18:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.4
	  open_cdrdefaults() -> open_stardefaults()

Mon Sep 15 12:33:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.169
	  bsdchdir Umschaltung neu

Sun Sep 14 23:48:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.8
	  Umstellung auf #define STAR_MAIN & #ifndef NO_STAR_MAIN
	  star_info() neu

Sun Sep 14 23:48:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.168
	  Umstellung auf #define STAR_MAIN & #ifndef NO_STAR_MAIN

Sun Sep 14 20:59:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.24
	  Warnung wegen unbekannter Keywoerter kommen nur noch einmal

Sun Sep 14 15:34:31 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.59
	  Behandlung von EINTR bei stat()/lstat()

Sun Sep 14 15:16:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.43
	  errno in swait() auf 0 setzen

Sun Sep 14 13:38:48 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.80
	* create.c 1.79
	* cpiohdr.c 1.12
	* xheader.c 1.23
	  cstyle Anpassungen

Sun Sep 14 13:34:53 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.96
	  cstyle

Sat Sep 13 19:48:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.2
	  #include <sys/xattr.h> -> #include <attr/xattr.h>
	  list -> alist wegen GCC
	  fillbytes() Schreibfehler beseitigt

Sat Sep 13 15:04:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.52
	  Support fuer Extended File Attributes

Sat Sep 13 14:30:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xattr.c 1.1
	  date and time created 03/09/13 13:30:20 by joerg

Sat Sep 13 13:45:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.95
	* star.h 1.76
	* checkerr.c 1.6
	* checkerr.h 1.6
	  GETXATTR/SETXATTR neu

Fri Sep 12 16:52:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.22
	* header.c 1.83
	  SCHILY.xattr.* Behandlung neu

Wed Sep 10 18:24:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.51
	  Anpassungen fuer cstyle

Wed Sep 10 17:37:01 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.58
	  #ifdef USE_XATTR neu

Wed Sep 10 17:35:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.50
	  xattr.c neu

Wed Sep 10 17:26:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.167
	  Version -> 1.5a25
	  Optionen -xattr & -xattr-linux neu

Wed Sep 10 16:35:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.75
	  typedef struct star_xattr & #define XF_XATTR fuer Linux Extended File Attributes

Mon Sep  8 22:46:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.166
	  Version -> 1.5a24

Mon Sep  8 22:09:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.11
	  Erster extrakt Support fuer H_CPIO_BIN

Mon Sep  8 22:07:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.36
	  H_CPIO_BIN Support neu

Mon Sep  8 22:07:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.82
	* starsubs.h 1.49
	  cpio_checkswab() neu

Mon Sep  8 17:29:53 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.35
	  Vergessenes 'break' nach TAR und vor CPIO eingefuegt

Mon Sep  8 17:22:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.10
	* star.c 1.165
	* create.c 1.78
	  Erster Support fuer H_CPIO_ASC/H_CPIO_ACRC, vorerst werden separate Files statt Hardlinks geschrieben

Mon Sep  8 17:17:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.34
	  Sysvr4 Hex CPIO format num korrekt mit MAXNONLARGEFILE und mit gesetzter props.pr_xftypetab

Mon Sep  8 16:04:53 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.74
	  Neues Flag F_CRC um CPIO crc Checksummen verzoegert zu berechnen

Mon Sep  8 13:43:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.77
	  Erweiterungen fuer das Schreiben von POSIX.1-1988 CPIO

Mon Sep  8 13:09:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.73
	* cpiohdr.c 1.9
	  read_link() Aufruf nun mit info->f_flags |= F_EXTRACT um Ueberschreiben des TCB beim Auspacken zu verhindern

Mon Sep  8 02:58:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.8
	  Schreib Support fuer POSIX cpio Format

Mon Sep  8 02:57:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.33
	  ustar & tar koennen kein sparse, daher D_SPARS in props.pr_diffmask

Mon Sep  8 02:20:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.48
	  Erweiterungen fuer CPIO Schreib Support

Mon Sep  8 01:37:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.32
	* header.c 1.81
	* star.h 1.72
	* star.c 1.164
	  Neuer Header Type "odc"

Mon Sep  8 01:00:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.40
	  Check auf namelen > props.pr_maxnamelen auch fuer CPIO

Mon Sep  8 00:58:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.42
	* buffer.c 1.94
	  FIFO und bigbuf etwas groesser machen weil llitos() bei CPIO den Puffer um ein Space ueberschreibt

Sat Sep  6 15:47:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.93
	* header.c 1.80
	* hole.c 1.33
	  peekblock()/readblock() nun mit amount Parameter um mit dem CPIO buffer wrap Problem klarzukommen

Sat Sep  6 15:26:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.39
	* xheader.c 1.21
	* buffer.c 1.92
	  get_block()/put_block() nun mit amount Parameter

Sat Sep  6 13:48:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.79
	  Aufruf von cpioinfo_to_tcb()/put_cpioh() neu
	  put_block() nun mit amount Parameter
	  Kommentar umgestellt

Fri Sep  5 21:41:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.163
	  Neuer Heaer Parameter -Hcpio

Fri Sep  5 21:38:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.38
	  name_to_tcb() tut nun nichts bei CPIO

Fri Sep  5 21:23:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.91
	* fifo.c 1.41
	  buf_sync()/fifo_sync() nun mit Parameter damit CPIO EOF Bloecke geschrieben werden koennen

Fri Sep  5 19:03:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.31
	  Cpio props.pr_fillc -> '0', props.pr_xftypetab wird bei H_CPIO_CHR initialisiert

Fri Sep  5 19:02:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.h 1.10
	* table.c 1.18
	  xtcpio_tab[] neu

Thu Sep  4 22:47:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.7
	  Abort bei -c/-Hcrc Hardlinks nur noch wenn nicht im List Modus

Thu Sep  4 22:42:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.6
	  Abort bei -c & -Hcrc Format wenn Link count > 1

Thu Sep  4 22:28:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.162
	  Version -> 1.5a23

Thu Sep  4 22:27:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.78
	  Erweiterungen fuer cpio

Thu Sep  4 22:26:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.5
	* starsubs.h 1.47
	  cpio_resync() neu

Thu Sep  4 22:02:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.4
	  ignoreerr fuer EOF Erkennung

Thu Sep  4 18:57:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.37
	  info->f_lname zeigt nun immer auf Speicher (von aussen sichergestellt)
	  ptb->dbuf.t_linkname immer kopieren

Thu Sep  4 18:56:19 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.20
	  info->f_lname zeigt nun immer auf Speicher (von aussen sichergestellt)

Thu Sep  4 18:55:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.3
	  info->f_lname[0] = '\0'

Thu Sep  4 18:54:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.71
	* diff.c 1.51
	* list.c 1.51
	* append.c 1.20
	  lname[PATH_MAX+1] fuer finfo.f_lname neu

Thu Sep  4 15:26:11 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.2
	  Erste vollstaendige POSIX cpio extrakt Version, ASC/ACRC neu

Thu Sep  4 15:19:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.46
	  print_hdrtype() -> EXPORT
	  cpiotcb_to_info() -> int

Thu Sep  4 15:05:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.45
	* header.c 1.77
	  cpio header Funktionen nach cpiohdr.c ausgegliedert

Thu Sep  4 15:04:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* cpiohdr.c 1.1
	  date and time created 03/09/04 14:04:46 by joerg

Wed Sep  3 02:01:39 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.50
	  EOF bei tcb_to_info() genauso behandeln wie bei get_tcb()
	  tcb_to_info() Aufruf for finaler listnew AUsgabe nur wenn es kein CPIO Format ist

Wed Sep  3 02:00:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* append.c 1.19
	* extract.c 1.70
	* diff.c 1.50
	  EOF bei tcb_to_info() genauso behandeln wie bei get_tcb()

Wed Sep  3 01:17:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.69
	  make_link() nun mit void_file() wegen CPIO Daten bei Hard links

Wed Sep  3 00:39:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.90
	* starsubs.h 1.44
	  peekblock() fuer CPIO neu

Tue Sep  2 21:17:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.30
	  Support fuer H_CPIO_CHR/H_CPIO_ASC/H_CPIO_ACRC
	  default: durch case H_UNDEF: ersetzt und neues default: mit Warnung

Tue Sep  2 21:12:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.68
	  xt_file(): Erweiterung fuer nichtgeblockte CPIO Archive und fuer CPIO Padding

Tue Sep  2 21:00:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.15
	  Erweiterungen fuer CPIO: pr_hdrsize/pr_pad & PR_CPIO

Tue Sep  2 20:52:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.49
	  Link count bei CPIO und nlink < 2 nicht mehr vergleichen

Tue Sep  2 16:04:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.71
	  Header Groessen fuer TAR & CPIO

Tue Sep  2 16:03:47 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.43
	* create.c 1.76
	  read_link() -> EXPORT

Fri Aug 29 03:48:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.161
	  sparse diff in online help und man page

Thu Aug 28 22:07:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.7
	  -p nutzt nun getpriv() von star -pax-p

Thu Aug 28 22:06:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.160
	  Neue Option -pax-p

Thu Aug 28 20:36:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.159
	* list.c 1.49
	* match.c 1.4
	  cstyle Ueberarbeitung

Thu Aug 28 20:18:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.3
	  -pax-c/-pax-n/-pax-d & prpatstats() neu

Thu Aug 28 20:17:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.6
	  -c/-n freigeschaltet

Thu Aug 28 20:16:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.158
	  prpatstats() neu
	  -pax-n neu

Thu Aug 28 20:15:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.42
	  prpatstats() neu

Thu Aug 28 16:44:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.5
	  paxmatch neu
	  -d -> star -D
	  -o nun mit non-UNIX-98 Fehlermeldung

Thu Aug 28 16:42:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.157
	  paxmatch (-pax-match) neu

Thu Aug 28 16:40:44 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.2
	  patprefix()/issimple() & paxmatch neu

Thu Aug 28 12:51:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.41
	* pax.c 1.4
	* create.c 1.75
	* star.c 1.156
	  pax -L && pax -H implementiert

Thu Aug 28 12:24:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.74
	  create() macht nun return; direkt nach gescheitertem getinfo()

Thu Aug 28 12:00:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.3
	* star.c 1.155
	  getfilecount() nun mit 3. Parameter char *fmt

Thu Aug 28 02:04:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.2
	  getfilecount fuer find ...| pax -w

Thu Aug 28 02:02:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.154
	  getfilecount() neu
	  swapflg = 0 bei -copy read Seite
	  copy_create() kann auch openlist()
	  docompat() checkt nun auf *tar* und verhindert so 'compat' fuer pax

Wed Aug 27 01:30:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* pax.c 1.1
	  date and time created 03/08/27 00:30:49 by joerg

Wed Aug 27 01:23:32 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.153
	  Neue Optionen -pax-ls -pax-i -pax-c -pax-L -pax-H
	  #if PAX .... fuer pax.c

Tue Aug 26 23:02:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.48
	  Umbau auf paxls und POSIX ls konforma Ausgabe

Tue Aug 26 21:41:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.57
	  Neue Variable paxfollow (-pax-L)

Tue Aug 26 01:59:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.47
	  Umschaltung auf PAX Format

Tue Aug 26 00:54:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.67
	  cstyle boolean continuation

Tue Aug 26 00:28:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subst.c 1.5
	  pax_change() neu

Tue Aug 26 00:20:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.70
	  Interface type Definitionen neu

Sat Aug 23 21:32:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.152
	  YEAR, .... Definitionen -> star_unos.c

Fri Aug 22 11:29:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.40
	  Vorbereiting fuer CPIO (Reste am Ende des FIFOs < 512 Bytes werden vor den Anfang des FIFOs kopiert)

Fri Aug 22 02:03:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.89
	  new-volume-script wird nun mit naechster Volume Nummer und naechstem Archive Filenamen gerufen

Fri Aug 22 00:03:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.151
	  Version -> 1.5a21
	  getwdir() nicht mehr machen mit -t
	  on_comerr(fifo_onexit()) wenn FIFO aktiv
	  Pattern im -copy Mode auf der Extrakt Seite deaktivieren
	  Abkuerzungen -ct und -c -diff

Thu Aug 21 23:53:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.39
	  Mindestens TBLOCK vor dem FIFO Platz schaffen

Thu Aug 21 19:39:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.40
	  fifo_onexit() neu

Thu Aug 21 19:39:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.38
	  fifo_onexit() neu
	  fcntl(mp->gp[0], F_SETFD, 1) auf alle Pipe Fd's damit gzip nicht pipes offenhalten kann und  EOF verhindert

Sat Aug 16 21:43:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.150
	  Version -> 1.5a20

Sat Aug 16 21:14:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.149
	  -copy Option neu
	  -dirmode wird nicht mehr bei star -x -p impliziert

Sat Aug 16 21:05:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.39
	  copy_create() neu
	  runfifo() nun mit ac, av Parametern

Sat Aug 16 21:04:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.37
	  -copy Option neu
	  Besserer Kommentar
	  prmp() printf() Formate korrigiert
	  Ausgabe der Flags be Sync Pipe Read Error
	  fifo_resume() ruft sputwakeup(mp, 'S') nur noch wenn nicht FIFO_MEOF gesetzt ist

Wed Aug 13 02:10:47 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.88
	  stats->parts += amount im -copy Modus

Tue Aug 12 10:58:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* chdir.c 1.1
	  date and time created 03/08/12 09:58:36 by joerg

Tue Aug 12 10:54:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.148
	* starsubs.h 1.38
	  chdir.c aus star.c ausgegliedert

Tue Aug 12 10:45:00 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.1
	  date and time created 03/08/12 09:45:00 by joerg

Tue Aug 12 10:44:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.147
	* starsubs.h 1.37
	  Pattern matching Code -> match.c

Tue Aug 12 01:22:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.36
	* star.c 1.146
	  __malloc()/__realloc()/__savestr() -> mem.c

Wed Aug  6 23:40:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.66
	* create.c 1.73
	* list.c 1.46
	  Substitute neu

Tue Aug  5 10:55:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.145
	  s=replstr Option neu

Tue Aug  5 10:50:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subst.c 1.4
	  ia_change() kann nun mehr als 100 Zeichen fuer den neuen Filenamen

Tue Aug  5 10:47:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subst.c 1.3
	* header.c 1.76
	* starsubs.h 1.35
	  ia_change() von header.c -> subst.c

Tue Aug  5 10:13:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subst.c 1.2
	* starsubs.h 1.34
	  parsesubst() nun mit BOOL * als 2. Parameter

Tue Aug  5 02:18:54 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.33
	  parsesubst()/subst() neu

Tue Aug  5 02:11:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* subst.c 1.1
	  date and time created 03/08/05 01:11:26 by joerg

Mon Jul 28 01:13:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.65
	  same_file() neu und Test auf Gleichheit von Source/Destination bei hard links und Kopien

Sun Jul 27 21:02:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.75
	  CPIO Header Typen korrigiert

Sun Jul 27 21:01:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.69
	* checkerr.h 1.5
	* buffer.c 1.87
	* checkerr.c 1.5
	  E_SAMEFILE neu

Sun Jul 27 19:33:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.19
	  tcb_to_xhdr() ruft (*cp->x_func)() nun mit korrektem len Parameter

Sun Jul 27 14:50:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.144
	  Version -> 1.5a18
	  Besserer Kommentar
	  -lowmem in die Online Help

Mon Jul 21 15:20:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.64
	* checkerr.h 1.4
	* checkerr.c 1.4
	* star.c 1.143
	* star.h 1.68
	* buffer.c 1.86
	  Neue Option -secure-links

Fri Jul 18 16:33:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* names.c 1.10
	* starsubs.h 1.32
	* star.c 1.142
	  Version -> 1.5a17, nameinit() neu und damit UID_NOBODY/GID_NOBODY fuer unbekannte namen

Fri Jul 18 16:00:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.85
	* checkerr.c 1.3
	* extract.c 1.63
	* star.h 1.67
	* star.c 1.141
	* checkerr.h 1.3
	  Neue Option -.. und Files mit /../ werden normalerweise nicht mehr ausgepackt

Sun Jul 13 15:33:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.3
	  strsv() beseitigt

Sun Jun 22 01:46:46 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.62
	  fflags zuruecksetzen und wieder setzen wenn hard link (wegen SF_IMMUTABLE) nicht angelegt werden kann

Sun Jun 22 01:16:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.61
	* acl_unix.c 1.17
	  cstyle

Sun Jun 22 01:05:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.7
	  Korrekte Auswertung der Fehler fuer FreeBSD in set_fflags()

Sat Jun 21 15:40:12 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.140
	  Version -> 1.5a16

Thu Jun 19 18:48:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.139
	* create.c 1.72
	  cstyle

Thu Jun 19 13:20:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.71
	  Keine Directory Namensliste mehr bei Mount Punkten und -M mit -dump

Wed Jun 18 01:14:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.138
	  Option -I beseitigt

Tue Jun 17 16:30:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.70
	  Neue Option level=

Tue Jun 17 16:16:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.137
	  Neue Optionen tardumps=name/-wtardumps 
	  Bessere Behandlung des Exitcodes bei Fehlern 
	  getenv() STAR_FIFO_SIZE -> STAR_FIFOSIZE

Tue Jun 17 16:11:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.c 1.1
	  date and time created 03/06/17 15:11:33 by joerg

Tue Jun 17 16:10:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.h 1.2
	  dumpdate()/checkdumpdates() neu

Mon Jun 16 18:36:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dumpdate.h 1.1
	  date and time created 03/06/16 17:36:57 by joerg

Mon Jun 16 18:36:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.31
	  __savestr() mit const char *

Sun Jun 15 16:49:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.66
	  Makros fuer cstyle angepasst

Sat Jun 14 22:03:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.60
	  Setzen von O_DSYNC bei zu extrahierenden Files damit die Daten gleichmaesziger auf die Platte kommen

Sat Jun 14 15:48:36 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.16
	  Patch von A.Gruenbacher gegen mehrere #effective Kommentare

Thu Jun 12 14:59:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.45
	* hole.c 1.32
	* star_unix.c 1.56
	* dirtime.h 1.2
	* xutimes.h 1.2
	* table.h 1.9
	* starsubs.h 1.30
	* diff.h 1.8
	* checkerr.h 1.2
	* fifo.h 1.10
	* star.h 1.65
	* props.h 1.14
	* movearch.h 1.2
	* header.c 1.74
	  Umbau wegen cstyle

Thu Jun 12 14:58:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* device.c 1.10
	* remove.c 1.46
	* props.c 1.29
	* names.c 1.9
	* fifo.c 1.36
	* movearch.c 1.29
	* lhash.c 1.11
	* fflags.c 1.6
	  Copyright -> 2003

Thu Jun 12 02:49:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.36
	* fifo.c 1.35
	* props.c 1.28
	* lhash.c 1.10
	* table.c 1.17
	* remove.c 1.45
	* fflags.c 1.5
	* movearch.c 1.28
	* names.c 1.8
	* diff.c 1.48
	* defaults.c 1.2
	* dirtime.c 1.13
	* extract.c 1.59
	* checkerr.c 1.2
	* unicode.c 1.5
	* device.c 1.9
	* append.c 1.18
	* buffer.c 1.84
	  Umbau wegen cstyle

Tue Jun  3 20:01:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.136
	  Optionen -no-fsync/level= neu

Tue Jun  3 19:59:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.58
	  Option -no-fsync neu

Thu Apr 10 18:53:26 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.135
	* starsubs.h 1.29
	  defaults.c neu, -ldeflt neu, getnum EXPORT

Thu Apr 10 18:52:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.c 1.1
	  date and time created 03/04/10 17:52:06 by joerg

Thu Apr 10 15:19:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.134
	  Version -> 1.5a15
	  Versuch, den Linux SSH/TCP-IP Bug zu umgehen bei dem die stderr verbose Ausgabe bei ssh host 'star -c ...' unterdrueckt wird

Sun Mar  9 13:47:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.15
	  Definitionen fuer SCO UnixWare neu

Sat Mar  8 18:09:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.55
	  Umbau auf stat_ansecs(sp) Makro

Thu Mar  6 16:27:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.14
	  Bei Linux war beim errhidden() Aufruf eine schlieszenden Klammer zuviel

Sun Feb 23 23:42:21 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.35
	* create.c 1.69
	* extract.c 1.57
	* hole.c 1.31
	* diff.c 1.47
	* dirtime.c 1.12
	* acl_unix.c 1.13
	* star_unix.c 1.54
	  Umbau auf "checkerr.h" & errhidden()

Sun Feb 23 22:52:42 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.133
	  Version -> 1.5a13, Neue Option errctl=

Wed Feb 19 00:28:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.c 1.1
	  date and time created 03/02/19 00:28:35 by joerg

Wed Feb 19 00:13:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* checkerr.h 1.1
	  date and time created 03/02/19 00:13:13 by joerg

Fri Feb  7 11:26:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.132
	  star -n -tpath ist nicht mehr automatisch Verbose

Sun Feb  2 16:17:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.83
	  USE_REMOTE Test Code an librmt angepasst

Sat Feb  1 20:50:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.131
	  Version -> 1.5a12, docompat() ueberprueft nun ob die notwendigen Argumente fuer Optionen auch vorhanden sind

Sat Feb  1 20:46:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.18
	  gen_text() verschiebt nun den Unicode text (der laenger ist) mit neuer und nicht mit alter Laenge
	  in get_size() reale Filesize setzen wenn noch nicht aus extended header bekannt ist damit auch non sparse files > 8 GB gehen

Sat Feb  1 20:32:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.73
	  Alte info->f_rsize Behandlung (bevor switch kam) geloescht

Sat Feb  1 19:50:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.46
	  Bei directory diff (ext. POSIX.1-2002) eins auf Filenamen bei der Ausgabe addieren damit nich ^Aname kommt

Sun Jan 26 19:17:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.130
	  Version -> 1.5a11, Neue Optionen: xdebug= & -no-xheader

Sun Jan 26 19:05:31 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.56
	* list.c 1.44
	  Neue Option xdebug=# fuer dump_info()

Sun Jan 26 19:04:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.17
	  Neue Option -no-xheader um evt. defekte Header zu ignorieren

Sun Jan 26 17:51:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.72
	  Mehr kommentar fuer tar formatspezifische Wandlerfunktionen

Sun Jan 26 17:44:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.71
	  Bugfix fuer -dump EXUSTAR sparse files > 8 GB mit neuem Flag XF_REALSIZE und SCHILY.realsize, dump_info() neu

Sun Jan 26 17:37:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.16
	  Neue Funktion get_realsize() fuer info->f_size, "size" setzt nun korrekt info->f_rsize, get_size() setzt info->f_rsize

Sun Jan 26 17:19:47 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.64
	  Neues Flag XF_REALSIZE

Sun Jan 26 17:15:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.28
	  Neue Funktion dump_info()

Sun Jan 26 17:15:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.30
	  info->f_xflags &= ~XF_SIZE zuruecksetzen bei Sparse Files - spaeteres info_to_tcb() setzt es evt. wieder

Tue Jan 21 19:01:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.12
	  Reparatur von defelten ACL Eintraegen im Archiv die vor der Erweiterung fuer Leerzeichen erzeugt wurden

Tue Jan 21 19:00:20 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.11
	  Support fuer Usernamen die Leerzeichen enthalten

Tue Dec 17 01:05:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.129
	  Version -> 1.5a10

Tue Dec 17 00:52:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.45
	  Fix fuer Coredump bei star -diff -vv -dump und unlesbarer lokaler directory

Thu Nov 14 15:47:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.55
	  create_dirs() repariert: return(FALSE) bei vorhandener Direktory war falsch
	  make_dir() returniert fruehzeitig wenn Dir bereits existiert

Thu Nov 14 15:23:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.10
	  Patch von Andreas Gruenbacher wegen #effective: Kommentar Problemen bei Linux

Mon Nov 11 19:39:58 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.82
	  rmthostname(host, rmtspec, sizeof(host)) -> rmthostname(host, sizeof(host), rmtspec)

Sun Nov 10 20:56:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.128
	  Version -> 1.5a09a, signal(SIGINFO neu fuer *BSD

Sat Nov  9 05:32:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.81
	  rmtgetconn() nun mit 3. Parameter (default exit code)

Mon Nov  4 18:12:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.34
	  close(f) fuer /dev/zero nur dann wenn /dev/zero auch geoeffnet nurde

Mon Oct 21 19:06:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.127
	  Schreibfehler efective -> effective uid

Mon Sep 16 17:59:37 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.54
	  Ueberarbeitung von create_dirs() mit neuer Funktion _create_dirs() damit alle Faelle behandelt werden
	  war noetig weil  extract von /opt/schily/include/*.h zu Endlosschleife fuehrte weil /opt/schily/ root (d.h. readonly) war

Mon Sep  2 15:58:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.68
	  Fehlerhafte Ueberpruefung eines lseek() Return Wertes in _fileread() korrigiert.

Mon Sep  2 15:57:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.53
	  create_dirs() Problem mit getinfo(name, &dinfo) && !is_dir(&dinfo) beseitigt

Mon Aug 26 15:38:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.80
	  Umbau auf librmt

Fri Aug 16 02:22:30 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.53
	  symlink() Permission fuer HP-UX mit umask() realisieren

Fri Aug 16 02:21:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.44
	  Ausgabe der dir inhalt Anzahl mit debug oder -vvv

Fri Aug  9 21:06:45 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.33
	  fifo_errno() ist nun sicher gegen mp == NULL

Fri Aug  9 12:43:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.126
	  Version -> 1.5a06, exit(fifo_errno()); neu, commaands Schreibfehler beseitigt

Fri Aug  9 01:31:06 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.79
	  -wready wartet nun 120 Sekunden

Thu Aug  8 20:18:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.78
	* starsubs.h 1.27
	* fifo.h 1.9
	* fifo.c 1.32
	  fifo_errno() neu damit Bandschreibfehler mit FIFO auch den Exit Code von Star im Vordergrund veraendern

Tue Aug  6 00:45:53 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.77
	  Bei -wready auch auch EBUSY testen

Wed Jul 10 23:54:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.43
	  Directory diff namesliste nun korrekt wenn eine der Directory Listen laenger ist

Wed Jul 10 22:28:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.76
	  Vor Aufruf des -newvol-script's fflush(vpr) rufen damit Synchronitaet der Ausgaben existiert

Wed Jul 10 22:24:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.125
	  Version -> 1.5a05, /dev/tty nicht oeffnen wenn -newvol-script verwendet wurde

Wed Jun 19 20:34:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.70
	  Fix fuer t_prefix mit genau 155 Zeichen

Wed Jun 19 20:29:02 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.3
	  name/prefix -> prefix/name Bugfix

Tue Jun 18 11:42:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.2
	  Option -v neu, Signed Checksum Test, Gesamtbewertung (gut/schlecht) nun OK

Mon Jun 17 19:40:41 2002 jes
	* header.c 1.69
	  t_size Feld auf null setzen, wenn size > MAXOCTAL11 und Archive Format kein Base 256 kann
	  info_to_ustar() setzt nicht mehr info->f_rdevminor auf 0 fuer non devices weil das bereits in getinfo() passiert

Mon Jun 17 19:32:18 2002 jes
	* props.c 1.27
	* props.h 1.13
	  PR_BASE256 neu

Mon Jun 17 19:31:16 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.124
	  Version -> 1.5a03, Usage() mit get_progname() statt "star", addtarfile() kann nun star -cf - verstehen, diffopts=nlink ist nun erlaubt

Mon Jun 17 19:21:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tartest.c 1.1
	  date and time created 02/06/17 18:21:38 by joerg

Fri Jun 14 21:01:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.9
	  Fix fuer fehlendes Komma nact Patch vom 8.3.2002 von Andreas Gruenbacher <ag@bestbits.at>

Mon Jun 10 19:06:45 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.42
	  diffopts=nlink aktiviert, diffopts=dir neu

Mon Jun 10 19:04:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.67
	  Test auf HAVE_READLINK in read_symlink() wegen OS/2 EMX
	  Neue Option -lowmem
	  put_dir() verwendet nun fetchdir() als Default anstelle von readdir()
	  Abbruch der Directory Schleife in put_dir() wenn telldir()/seekdir() nicht funktionieren

Mon Jun 10 18:59:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.15
	  Callback Funktion fuer tcb_to_xhdr() nun mit len Parameter
	  SCHILY.dir, SCHILY.ddev, SCHILY.dino neu, SCHILY.ddev/SCHILY.dino als Dummy fuer spaeter
	  gen_text() nun mit alen Parameter damit im Argument null Bytes sein koennen
	  gen_text() nun mit movebytes() damit im Argument null Bytes sin koennen
	  Neue Funktion get_dir()

Mon Jun 10 17:58:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.43
	  Long Listing gibt nun auch Linkcount aus falls bekannt

Mon Jun 10 17:57:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.75
	  setmode(fileno(tarf), O_BINARY); auch fuer die TAR Seite der compress PIPE.

Mon Jun 10 17:55:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* unicode.c 1.4
	  to_utf8l()/from_utf8l() neu

Mon Jun 10 17:54:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.123
	  Version -> 1.5a02, -lowmem neu, diffopts=dir neu

Mon Jun 10 17:52:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.68
	  tcb_to_info() initialisiert nun auch info->f_nlink und info->f_dir

Mon Jun 10 17:48:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.h 1.7
	  D_DIR neu D_DEFLT nun inclusive D_NLINK

Mon Jun 10 17:47:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.26
	  #include <utypes.h>, Benutzung nun auch ohne star.h moeglich, unicode.c:to_utf8l()/from_utf8l() neu, fetchdir.c neu

Sun Jun  9 01:54:29 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.63
	  f_dir/f_dirlen neu

Sun Jun  9 01:51:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.52
	  info->f_dir = NULL bei Directories, HAVE_CHOWN/HAVE_SYMLINK testen (OS/2)

Sun Jun  9 00:27:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.74
	  setmode() auch fuer OS/2 EMX

Sun Jun  9 00:26:40 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.31
	  DosGetSharedMem(buf,3); bei OS/2 vor erstem Zugriff auf shared memory sleep() fuer OS/2 beseititg

Sat Jun  8 14:00:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.30
	  -lowmem neu -> FIFO Size default 1 MB

Sun Jun  2 16:23:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.66
	  put_dir() neu eingerueckt (return wenn opendir() scheitert)

Sun Jun  2 15:42:07 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.14
	  xtab_t mit x_namelen fuer schnelleres lookup()
	  len_len() neu fuer beliebig lange strings im xheader
	  gen_text() vermeidet Kopieren und kann beliebig lange Strings

Sun Jun  2 15:28:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* unicode.c 1.3
	* starsubs.h 1.25
	  to_utf8() Returniert nun UTF-8 strlen()

Sat Jun  1 14:46:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.42
	  modstr() besser kommentiert

Tue May 28 19:37:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.13
	  xbgrow(): realloc() waechst nun mit pagesize()
	  gen_xtime()/gen_number() nun ohne sprintf() und daher 2x so schnell

*************** Release 1.4 *******************

Mon May 20 15:59:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.73
	  Cast pointerdiffs to Llong for 64 bit

Mon May 20 15:58:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dirtime.c 1.11
	  Cast pointerdiff to int and warn for 64 bit

Mon May 20 15:58:05 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.39
	  Avoid Integeroverflow with %.* for Pointerdiffs

Mon May 20 12:48:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.24
	  hash_build() with size_t size Parameter

Fri May 17 13:26:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.12
	* starsubs.h 1.23
	* star.c 1.122
	* lhash.c 1.9
	* diff.c 1.41
	* create.c 1.65
	* buffer.c 1.72
	* append.c 1.17
	  __malloc() with msg Parameter
	  __realloc() new
	   malloc()/realloc() -> __malloc()/__realloc() if using commerr()

Tue May 14 21:37:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.121
	  Version -> 1.4

Mon May 13 20:50:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.71
	  -silent allows to switch off compress warning, Cast pointerdiff -> int for printf

Mon May 13 20:49:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.38
	  Cast pointerdiff -> int for sprintf

Sat May 11 19:24:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.29
	  With Solaris ioctl _FIOAI now avoid Problemems if off+amt < 0 or off+amt > size

Sat May 11 19:19:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.64
	  _fileread() now avoids Problemes if off+amt < 0 or off+amt > size

Sat May 11 19:12:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.62
	  tarblocks() Macro now without off_t Overflow

Fri May 10 12:46:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.63
	  -silent/-meta new, better Check for is_tape() for Mac OS X

Fri May 10 12:27:59 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.67
	  Support for XT_META, _GTTOXT() -> _VTTOXT()

Fri May 10 00:44:12 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.34
	  Use Vendor Unique Longnames if F_LONGNAME/F_LONGLINK is set, to make META Files work

Thu May  9 17:40:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.26
	  Meta Files new, better comment

Thu May  9 17:35:17 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.47
	  Warning for meta files

Thu May  9 17:34:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.120
	  New Options -silent/-meta, Version -> 1.4a25

Thu May  9 17:33:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.16
	  Integrate Sparse/Meta Filetypes like regular Files 

Thu May  9 17:25:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.h 1.8
	* table.c 1.15
	  gttoxt_tab -> vttoxt_tab

Thu May  9 17:15:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.14
	  META Filetyp new

Sun May  5 17:09:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.46
	  New Option -silent

Sun May  5 17:06:53 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.40
	  Also compare Filetyp if it is in POSIX.1-2001 header, Do not compare file content with XT_META

Sun May  5 17:00:17 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.41
	  It seems to be better to hava a special treatment for XT_META to make the listing print 'm' as Filetype to know that file content is not in the archive.

Sun May  5 16:54:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.h 1.7
	  XT_META new

Sun May  5 16:51:03 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.61
	  LF_EXTATT/LF_META new, fis_link()/fis_meta() is_whiteout()/is_meta() new

Thu May  2 23:23:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.40
	  XT_META getst same treatment as XT_LINK: if we knoe the real file type use it

Thu May  2 23:04:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.45
	  -dump / -meta documented

Thu May  2 23:02:40 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.52
	  Meta File Type implemented

Thu May  2 22:24:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.66
	  New Warnung for GNUtar bug (Volheader) mode field is complertely nulled

Mon Apr 29 22:12:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.11
	  "SCHILY.tarfiletype" will not be used for now

Mon Apr 29 22:10:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.65
	  Use f_xftype from xheader except when it is XT_LINK

Mon Apr 29 22:06:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.51
	  DOOR Files will be recognised and unpacked as Plain Files

Mon Apr 29 22:02:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.28
	  info->f_xftype = XT_SPARSE; -> info->f_rxftype = info->f_xftype = XT_SPARSE; because XT_PARSE is own Filetyp

Mon Apr 29 22:01:21 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.13
	  exustar List (-dump) now with XT_DOOR

Mon Apr 29 21:59:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.25
	  Extended list of valid filetypes only with -dump

Mon Apr 29 21:54:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.60
	  is_door() new

Sun Apr 28 17:57:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.39
	  Only suppress File Type Hard Link with verbose printing, other Types are from f_xftype

Sun Apr 28 15:36:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.118
	  Version -> 1.4a24, -link-dirs/-dump new in usage()

Sun Apr 28 15:15:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.27
	* extract.c 1.50
	* header.c 1.64
	* star.c 1.117
	  Warning: -> WARNING:

Sun Apr 28 02:06:57 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.63
	* xheader.c 1.10
	  New SCHILY.* xheader Types: SCHILY.dev/SCHILY.ino/SCHILY.nlink/SCHILY.filetype/SCHILY.tarfiletype

Sun Apr 28 01:09:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.12
	* table.h 1.6
	  BSD whiteout XT_WHT new, Solaris cpio acl corrected, xtexustar_tab[] new

Sun Apr 28 01:07:06 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.24
	  Enhanced List erlaubterof possible File Types for H_EXUSTAR

Sun Apr 28 01:05:13 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.38
	  Directory Hardlinks new, FileType printout using info->f_rxftype instead of info->f_xftype

Sun Apr 28 00:29:03 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.116
	  Experimental chdrtype = H_EXUSTAR for -dump

Sun Apr 28 00:25:53 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.23
	* star_unix.c 1.51
	  info->f_typeflag= 0 new, info->f_rxftype = info->f_xftype new, BSD whiteout File S_IFWHT new

Sat Apr 27 21:39:07 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.58
	  f_rxftype new

Sat Apr 27 18:10:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.61
	  -link-dirs implemented

Sat Apr 27 18:07:24 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.43
	  -link-dirs new, -sparse Documentation extended

Thu Apr 25 01:28:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.49
	  Take care of EISDIR ro remove non-empty Directories

Thu Apr 25 01:09:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.44
	  Implement first version of recursive remove

Wed Apr 24 21:41:17 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.11
	  Better comment

Wed Apr 24 01:35:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.60
	  Printout enhanced for 'file changed size' (increased/shrunk)

Wed Apr 24 00:57:43 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.115
	  Version -> 1.4a23, verbose -> int, Support for -vv, -link-dirs new, -dump new

Wed Apr 24 00:42:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.62
	* diff.c 1.39
	  verbose -> int for -vv

Wed Apr 24 00:40:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.37
	  Support for -vv in create mode

Wed Apr 24 00:35:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.23
	  More comment

Wed Apr 24 00:29:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.42
	  Many - to \-, -v is inc type

Tue Apr 23 22:49:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.26
	  Problem with virtual growing sparse Files fixed

Sat Apr 20 22:13:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.8
	* extract.c 1.48
	* remote.c 1.37
	* star_unix.c 1.50
	* create.c 1.59
	  Now using geterrno()/seterrno()

Fri Apr 19 23:46:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.22
	* star_unix.c 1.49
	  set st_rdev to 0 for plain Files, dirs, ...

Sun Apr 14 16:29:59 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.114
	  Version -> 1.4a22

Sun Apr 14 16:24:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.113
	  -z/-bz before b= in option string

Sun Apr 14 16:22:29 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.58
	  maxsize now is byte oriented

Wed Mar 27 00:23:13 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.41
	* buffer.c 1.70
	* star.c 1.112
	  new-volume-script= Option new

Tue Mar 26 23:55:59 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.40
	* buffer.c 1.69
	* star.c 1.111
	  f= Option now allows up to 100 Files

Sun Mar 24 13:04:29 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.110
	  Version -> 1.4a21, Short Usage corrected

Fri Mar  8 01:26:08 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.7
	  Patch from Andreas Gruenbacher <ag@bestbits.at> for buffer conversions error with 4 ACL entries

Fri Mar  1 21:26:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.109
	  Version -> 1.4a19

Fri Mar  1 21:25:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.25
	  cmpbytes() -> cmpnullbytes(), read 32kB instead of 512 Bytes to increase speed

Tue Feb 26 22:47:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.33
	  copy 100 Char Linknames before filenames because there may be a return
	  copy 100 Char Linknames only if not case 'K' or 'x' longlink active

Sun Feb 24 21:12:59 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.57
	  t_mode Definitions T* new

Sun Feb 24 21:08:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.48
	  HAVE_POSIX_MODE_BITS Test Code deactivated (now again standard UNIX Mode)

Sun Feb 24 21:06:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.47
	  POSIX TAR <-> OS Mode bit convertion new

Sun Feb 24 12:37:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.108
	  Version -> 1.4a18, Copyright -> 2002

Tue Feb 19 10:31:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.61
	  Uverflow check for octal string generation by checking fieldw

Mon Feb 11 22:42:14 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.47
	  newer label -> isnewer for K&R C

Sun Feb 10 20:48:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.46
	  Loop around fsync() and test for EINVAL/EINTR

Sat Jan 19 17:57:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.4
	  True64 has chflags() but no #define UF_SETTABLE

Mon Jan 14 21:59:03 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.46
	* Makefile 1.20
	* xheader.c 1.9
	* header.c 1.60
	* star.c 1.107
	* starsubs.h 1.22
	  Support for extended file flags new

Mon Jan 14 21:51:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.39
	  -xfflags Option new, Documenting problems with -fxxx & -fifo

Mon Jan 14 21:31:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.3
	  If setting of all flags does not work, try if it works witout the ohne root only flags

Sun Jan 13 23:13:20 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.59
	  Correctly Masking uid/gid for otar/ustar

Sun Jan 13 19:26:07 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.2
	  first working Version

Wed Jan  9 11:27:30 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fflags.c 1.1
	  date and time created 02/01/09 11:27:30 by joerg

Sun Jan  6 20:09:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.106
	  Version -> 1.4a16, gnutar comment enhanced

Sun Jan  6 19:40:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.38
	  Optionstexts reworked.

Sun Jan  6 00:13:30 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.37
	  -S ... -z alphabetically towards the front

Sun Jan  6 00:00:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.36
	  -i ... -remove-recursive alphabetically towards the front

Sat Jan  5 12:47:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.35
	  -block-numer -copylinks -ctime -D -d ... H= alphabetically towards the front

Thu Jan  3 21:46:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.34
	  -/ -atime -acl -ask_remove -B -bz -C  alphabetically towards the front

Tue Jan  1 23:43:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.105
	  Version -> 1.4a15

Tue Jan  1 21:19:39 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.33
	  EXAMPLES/FILES/SEE ALSO/DIAGNOSTICS/NOTES/LIMITATIONS/BUGS reworked

Tue Jan  1 20:19:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.29
	* buffer.c 1.68
	* star.c 1.104
	* header.c 1.58
	  Now using exprstats() and calling checkerrs() in exprstats()

Tue Jan  1 20:08:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.57
	  Now implementing POSIX conformant usage of the Size Field

Fri Dec 28 13:44:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.32
	  Hinr for multi volume support in tsize=

Fri Dec 28 01:49:16 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.103
	  blocks= & b= now supports mutiplyers (like bs= )

Fri Dec 28 01:41:59 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.31
	  blocks= Option now also mentions POSIX limits, bs= directly after blocks= Doc

Fri Dec 28 00:23:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.30
	  Man Page inclusive command description reworked, -dirmode new, H=headertype reworked

Thu Dec 27 23:13:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.67
	  Komment for O_BINARY and O_TRUNC

Thu Dec 27 19:23:52 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.102
	  Version -> 1.4a14, -p -> -p/-dirmode, If av[0] == tar -> xustar Format

Thu Dec 27 19:14:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.21
	* star_unix.c 1.45
	  dirmode -> pflag (in extract mode) to allow -p to be separated from -dirmode

Wed Dec 19 23:51:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.28
	* star.c 1.101
	  fifo_exit() enhanced so that FIFO backgroundprocess may be shut down (TAR File is much longer than it should be logically: star hangs at end)

Tue Dec 18 23:54:15 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.32
	* header.c 1.56
	  Supporting Linknames with exactly 100 chars

Mon Dec 17 23:52:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.29
	  Hint for unsupported ACLs removed

Sun Dec 16 17:34:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.28
	* star_unix.c 1.44
	  New Option -acl

Sun Dec 16 16:39:14 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.100
	  Version -> 1.4a13, New Option -acl, Preparing for better TAR compatibility (e.g. -l Option)

Sun Dec 16 16:16:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.55
	  POSIX.1-200x -> POSIX.1-2001, f_offset -> f_contoffset because of SCO OpenServer Makro in file.h

Sun Dec 16 16:11:09 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.27
	* fifo.c 1.27
	  Reducing default FIFO Size to 4MB on Linux only if mmap() is not present

Sun Dec 16 16:10:24 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.57
	  Hardlinks bekommen size == 0 wie in POSIX-1003.1-1990 verlangt

Sun Dec  9 17:19:10 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.8
	  POSIX.1-200x -> POSIX.1-2001

Sun Dec  9 17:10:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.45
	  option -block-number now also works extract mode

Fri Dec  7 21:30:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* movearch.c 1.27
	* longnames.c 1.31
	* star.h 1.56
	* star.c 1.99
	* props.h 1.12
	* star.1 1.26
	* props.c 1.22
	  POSIX.1-200x -> POSIX.1-2001

Wed Dec  5 23:03:20 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.43
	  File flags (-nodump) Support for Linux new

Wed Dec  5 20:50:27 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.44
	  Better comment for copy_file in do_symlink, emul_link()/emul_symlink() started

Wed Dec  5 20:47:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.55
	  New Flag XF_FFLAGS

Wed Dec  5 20:46:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.25
	  New Options -nodump/-hardlinks/-symlinks, extension for bs=, New properties of tsize=/maxsize=

Wed Dec  5 20:40:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.98
	  New short Usage Funktion susage()
	  getnum() now using Llong 
	  getnum() now understands '.' as 1x Mult
	  New Functions getbnum()/getknum()
	  -tsize/maxsize= now with getbnum()/getknum() with default to old behavior

Wed Dec  5 20:26:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.97
	  Version -> 1.4a11, new Optionen -nodump/-hardlinks/-symlinks, Usage now also with -version/-debug/-refresh

Mon Dec  3 19:28:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.36
	* star.h 1.53
	  f_offset -> f_contoffset because of SCO OpenServer Macro in file.h

Mon Dec  3 19:27:29 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.54
	* create.c 1.56
	  -nodump / F_NODUMP new

Mon Dec  3 19:24:14 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.6
	  #ifdef ENOSYS new, if removing ACL and POSIX ACLs xstats.s_setacl++ instead of xstats.s_badacl++

Sat Dec  1 22:09:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.20
	* star_unix.c 1.42
	* star.h 1.52
	  File flags for BSD-4.4 Support new in finfo

Wed Nov 28 23:39:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.43
	  Better error messages for links

Wed Nov 28 16:14:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.41
	  HAVE_SETTIMEOFDAY for BeOS and #define utimes __nothing__ because of defect BeOS Prototyp

Sun Nov 25 17:41:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.5
	  Try to handle ENOTSUP on Linux if the FS does not support ACLs

Sun Nov 25 17:17:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.24
	* buffer.c 1.66
	* star.c 1.96
	* list.c 1.35
	* create.c 1.55
	  New Option -block-number

Sun Nov 25 17:00:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.23
	  ACLs documented, New bs= Multiplyer 'g'

Sun Nov 25 15:47:51 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.38
	  Volhdr may not be diff'ed 

Sun Nov 11 22:12:33 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.4
	  Symlinks have no ACLs on Solaris or POSIX

Sun Nov 11 18:02:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.65
	* remote.c 1.36
	  Test HAVE_RCMD new

Thu Nov  8 16:33:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.3
	  Better error messages, base_acl() also for Solaris, default ACL Problem for FreeBSD removed

Thu Nov  8 11:56:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.40
	* acl_unix.c 1.2
	  HAVE_ACL (always) -> HAVE_ANY_ACL because of Clash with Sun acl()

Thu Nov  8 11:55:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.51
	  #undef isdigit for HP-UX

Thu Nov  8 00:06:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.95
	  Version -> 1.4a07

Wed Nov  7 23:21:15 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* acl_unix.c 1.1
	  date and time created 01/11/07 23:21:15 by joerg

Wed Nov  7 20:14:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.39
	  Enhancements for ACLs, Cast to int for st_rdev in switch for S_IFNAM because of compiler Warnung,
	  NEW_P_FLAG prepared

Wed Nov  7 20:10:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.7
	  Enhancements for ACLs

Wed Nov  7 20:05:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.19
	* starsubs.h 1.21
	  New File acl_unix.c

Wed Nov  7 20:04:52 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.64
	* star.h 1.50
	  New xstats fields xstats.s_getaclerrs/xstats.s_badacl/xstats.s_setacl

Tue Nov  6 22:52:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.18
	* list.c 1.34
	* star.h 1.49
	  Enhancements for ACLs

Tue Nov  6 22:51:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.37
	  Abort if we cannot allow diffbuf, Hint for missinfg ACL diff

Tue Oct 30 22:56:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.35
	  rmtxstatus() -> LLong

Mon Oct 29 18:50:51 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.6
	* star.c 1.94
	* remote.c 1.34
	* hole.c 1.24
	* fifo.c 1.26
	* device.c 1.8
	* buffer.c 1.63
	* table.c 1.10
	  -> statdefs.h, avoid sys/types.h 

Sat Oct 27 15:23:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.33
	  Test for HAVE_NETDB_H for rcmd() in remote.c

Sat Oct 27 15:22:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.62
	  Test for HAVE_NETDB_H for rcmd() in remote.c, Test for HAVE_FORK

Sat Oct 27 15:10:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.25
	  Test for HAVE_FORK new

Wed Oct 10 18:02:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.93
	  number() now accepts 'g' for Giga

Wed Oct 10 18:01:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.32
	  rmtaborted() now by default returns EPIPE (to help for sdd -noerror)

Tue Oct  9 01:36:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.38
	  sys/types.h & sys/stat.h -> statdefs.h

Thu Sep 27 02:49:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.61
	* dirtime.c 1.10
	* star_unos.c 1.19
	* star_unix.c 1.37
	* star.h 1.48
	  New sumerror messages for xstats.s_settime/xstats.s_setmodes

Thu Sep 27 00:51:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.42
	  Bugfix for double mkfifo after make_fifo() has been added (File exists ...)

Thu Sep 27 00:46:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.54
	  checkdirexclude() reworked

Wed Aug 22 22:04:33 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.92
	  Version -> 1.4a06

Wed Aug 22 22:03:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.17
	  xheader.c/unicode.c/movearch.[hc] new, cpmodes new

Wed Aug 22 21:59:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.22
	  Removed a hint htat -r/-u are non-funktional

Wed Aug 22 01:19:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.21
	  Put atime/ctime in default diff mask for pax Format

Tue Aug 21 16:56:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.5
	  sprintf() -> js_sprintf()

Tue Aug 21 14:47:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.21
	  POSIX.1-200x Enhancements documented

Tue Aug 21 14:37:27 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.54
	  GCC mbracket warning removed

Tue Aug 21 14:24:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.53
	  Support for extended POSIX header
	  pax/exustar/suntar new
	  

Tue Aug 21 02:40:15 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.20
	  'X' typeflag now only for suntar

Tue Aug 21 02:37:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.4
	  Short Name for extended header -> "././@PaxHeader"

Tue Aug 21 01:23:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.33
	* append.c 1.16
	  Nanoseconds implementiert

Tue Aug 21 01:13:40 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.c 1.36
	  Nanosecond usage prepared

Mon Aug 20 20:16:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.19
	  Support for extended POSIX header

Mon Aug 20 19:07:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.47
	* star.c 1.91
	* props.h 1.11
	* xheader.c 1.3
	  Support for Sun tar

Mon Aug 20 02:57:32 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.2
	  addslash fuer gen_text() damit dirs wir immer funktionieren

Sun Aug 19 23:43:14 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.10
	  Support for extended POSIX header
	  pr_unsuptype()/pr_validtype()/pr_isxheader() new

Sun Aug 19 23:39:39 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.20
	  info_to_xhdr() -> void

Sun Aug 19 23:38:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.36
	  F_NSECS new

Sun Aug 19 23:38:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.46
	  MAXINT32 & F_NSECS new

Sun Aug 19 23:36:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.30
	* create.c 1.53
	  Support fuer extended POSIX header

Sun Aug 19 23:32:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* xheader.c 1.1
	  date and time created 01/08/19 22:32:05 by joerg

Sat Aug 18 00:54:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* unicode.c 1.2
	  from_utf8() now with *to = 0

Sat Aug 18 00:51:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.52
	  is_unsuptype() -> pr_unsuptype()

Sat Aug 18 00:46:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.45
	  XF_NOTIME new, is_unsuptype -> pr_unsuptype()

Wed Aug 15 22:24:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.52
	  filltcb()/movetcb() new 
	  tblocks() -> Llong 
	  llotoa() -> llitos(), astollo() -> stolli() 
	  otoa() -> litos(), astoo() -> stoli() 
	  astob() -> stob(), astollb() -> stollb(), btos() -> btos(), llbtoa() -> llbtos()

Wed Aug 15 22:04:57 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.90
	* star.h 1.44
	  H_EXUSTAR new

Wed Aug 15 22:01:16 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.29
	* hole.c 1.23
	  llotoa() -> llitos(), astollo() -> stolli()

Wed Aug 15 22:00:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.18
	* star_unix.c 1.35
	  info->f_xflags new

Wed Aug 15 21:56:34 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.19
	  filltcb()/movetcb() new
	  tblocks() -> Llong 
	  xheader.c & unicode.c new
	  llotoa() -> llitos(), astollo() -> stolli()

Tue Aug 14 17:50:12 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* unicode.c 1.1
	  date and time created 01/08/14 16:50:12 by joerg

Tue Aug 14 17:44:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.32
	  Now using movetcb(), info->f_typeflag new

Tue Aug 14 17:21:22 2001 jes
	* fifo.h 1.8
	* buffer.c 1.60
	  stats->blocks/stats->parts -> Llong, tblocks() -> Llong

Tue Aug 14 17:18:22 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.89
	* create.c 1.51
	  tsize -> Ullong, maxsize -> Ullong, Newer -> time_t

Tue Aug 14 16:50:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.41
	  Lokal Variable tsize -> tasize

Tue Aug 14 16:37:51 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.7
	* buffer.c 1.59
	  stats->nblocks new, tblocks() now tries to avoid integer overflows

Tue Aug 14 02:25:52 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.43
	  MAXOCTAL #defines for 8/12 Byte fields
	  better GNU tar Header description
	  GNU tar POSIX Bug description with History
	  Better BAR Header description
	  f_xflags/f_typeflag new
	  f_xflags #define's

Mon Aug 13 01:00:09 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.58
	  movetcb() new

Sun Aug 12 23:51:01 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.28
	* hole.c 1.22
	  Now uses filltcb()

Sun Aug 12 23:49:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.50
	* buffer.c 1.57
	  filltcb() -> buffer.c to make if globally usable

Sun Aug 12 15:09:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.27
	  Comment for file size == strlen corrected

Sun Aug 12 14:34:09 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.49
	* append.c 1.15
	* buffer.c 1.56
	* longnames.c 1.26
	  Copyright String with 2001

Sun Aug 12 14:24:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.25
	  movearch.c created & more universal code in movearch.c

Sun Aug 12 14:22:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* movearch.c 1.26
	  More universal code for longnames.c & xheader.c

Sun Aug 12 14:21:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* movearch.h 1.1
	  date and time created 01/08/12 13:21:55 by joerg

Sun Aug 12 14:21:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* movearch.c 1.25
	  Made from longanmes.c

Thu Aug  2 01:32:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.h 1.7
	* remote.c 1.31
	  rmthostname() Parameter filename -> rmtspec

Tue Jul 31 02:48:10 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.88
	* star.h 1.42
	* header.c 1.51
	  H_CPIO -> H_CPIO_BASE, H_PAX new

Mon Jul 23 20:48:08 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.41
	  POSIX-200x extended header typeflags

Mon Jul 23 20:47:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.55
	  Check for autodecompression only if not -cflag

Mon Jul 23 15:54:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.50
	* remove.c 1.43
	* create.c 1.48
	* extract.c 1.40
	* append.c 1.14
	* star_unix.c 1.34
	* diff.c 1.35
	  printf() -> fprintf(vpr, ...) because of tarf == stdout

Sat Jul 21 10:09:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.16
	  remove.c new, parameterized rel: Target

Fri Jul 20 11:57:03 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.17
	* star_unix.c 1.33
	  make checkarch() better

Fri Jul 20 11:56:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.54
	  always call checkarch() to make star -cz work again (Bug since star-1.4a02)

Thu Jul 19 18:03:14 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
		* star.c 1.87
	  Version -> 1.4a04

Thu Jul 19 17:52:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.9
	* table.h 1.5
	* table.c 1.9
	* props.c 1.18
	  xttoname_tab[] XT_ to named file type text table new,
	  xt*tar_tab[] with BOOL content to tell whether a file can be represented in a format

Thu Jul 19 01:49:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.47
	  Use is_unsuptype() for files that cannot be dumped

Thu Jul 19 01:47:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unos.c 1.16
	* star_unix.c 1.32
	  correctly set info->f_xftype using switch statement for all file types

Thu Jul 19 01:19:33 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.40
	  Better comment & is_unsuptype() Makro new

Thu Jul 19 01:16:57 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.20
	  Better documentation for remote Syntax

Thu Jul 19 01:04:27 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.53
	  Changed to use new remote.c

Tue Jul 17 12:56:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.h 1.6
	* remote.c 1.30
	  debug -> LOCAL rmt_debug, rmtdebug() new

Tue Jul 17 12:48:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.h 1.5
	* remote.c 1.29
	  rmtfilename()/rmthostname() new

Fri Jul 13 00:04:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.42
	  Return TRUE on successful unlink(file)

Thu Jul 12 18:57:23 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.h 1.4
	* remote.c 1.28
	  Make struct mtget a Parameter in rmtstatus() -> no more static data

Thu Jul 12 18:12:19 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.27
	  Check for data overflow from rmt Server in rmtread(),
	  Check if amount of data != sizeof(mts) in rmtstatus(),
	  rmtgetline() with better debug message

Thu Jul 12 01:51:40 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.h 1.3
	* remote.c 1.26
	  Definitions for RMT Protocol Version 1 -> remote.h

Thu Jul 12 01:22:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.41
	  Prepare the implementaion of -remove-recursive

Thu Jul 12 01:20:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.86
	  Remove "Not Implemented" message for -remove-recursive

Thu Jul 12 00:56:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.25
	  call (void)rmtioctl(fd, -1, 0); only if open() suceeded

Wed Jul 11 17:49:54 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.40
	  Cygwin workaround for rmdir() Bug in B20 removed

Wed Jul 11 00:54:54 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.52
	  Add ':' past WARNING

Wed Jul 11 00:54:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.19
	  -F -FF... better comment

Wed Jul 11 00:53:58 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.46
	  make-F -FF... fit to BSD tar

Tue Jul 10 23:41:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.49
	* props.c 1.17
	  ULL past unsigned long long constants

Tue Jul 10 23:39:22 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.21
	  & vor Array beseitigt

Tue Jul 10 22:34:28 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.39
	* starsubs.h 1.18
	* extract.c 1.39
	  remove_file() from extract.c -> remove.c

Sun Jul  8 22:39:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.45
	  fillbytes() -> filltcb() for better Performance

Sun Jul  8 22:32:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.85
	  -h Option as in BSD tar,
	   Version -> 1.4a03,
	   better comment before docompat()

Sun Jul  8 22:28:10 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.24
	  Default Fifosize -> 8 MB except Linux & sun3,
	  lock FIFO in memory if root

Sun Jul  8 22:22:22 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.39
	  ldummy in TCB union for alignement

Fri Jul  6 01:04:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.48
	  Better XUSTAR recognition

Thu Jul  5 03:47:34 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.51
	  Check for compression only when not in -create mode ...

Thu Jul  5 03:25:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.50
	  ffileread(tarf) -> _niread(fileno(tarf)),
	  ffilewrite(tarf) -> _niwrite(fileno(tarf),
	  fseek(tarf) -> lseek(fileno(tarf))

Wed Jul  4 23:50:19 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.24
	  read() -> _niread(), write() -> _niwrite()

Tue Jul  3 00:32:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.49
	  Automatic recognition of compression and use of the decompression if the archive is a file

Tue Jul  3 00:31:26 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.23
	  fifo_exit() now checks mp pointer before use because comerr() without FIFO caused Core

Tue Jul  3 00:30:33 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.84
	* star_unos.c 1.15
	* star_unix.c 1.31
	  tape_isreg new

Mon Jul  2 02:48:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.47
	* starsubs.h 1.17
	  get_hdrtype() -> EXPORT, get_compression() new

Mon Jul  2 01:26:14 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.38
	  Define compressionstypes

Mon Jul  2 00:30:41 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.46
	  Automatic recognition and swich to signed checksum

Sun Jul  1 15:23:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.44
	  Clear reminder of a file (up to 512 byte) to make gzip work more effective

Sun Jul  1 15:18:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remove.c 1.38
	* extract.c 1.38
	  Volheader with size != null now corectly skipped

Sun Jul  1 15:12:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.16
	  Max USTAR Filesize is 8 GB-1 and not 8 GB-2

Sun Jul  1 15:07:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.37
	  isupper with #undef (already bereits defined on  HP-UX)

Fri Jun 29 00:47:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.45
	  Support for Largefiles

Thu Jun 28 23:47:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hole.c 1.20
	  Support for Largefiles

Thu Jun 28 23:46:24 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.15
	  LARGEFILES new

Thu Jun 28 23:43:21 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.16
	  neue ll functions in header.c

Thu Jun 28 23:38:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.h 1.8
	* props.c 1.15
	* create.c 1.43
	  props.pr_maxsize new

Wed Jun 27 23:44:55 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.36
	  NODEV past #include sys/param.h, #include sys/param.h with #ifdef

Wed Jun 27 19:53:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.23
	* remote.h 1.2
	* star.h 1.35
	* buffer.c 1.48
	* starsubs.h 1.15
	* star_unos.c 1.14
	* star_unix.c 1.30
	* star.c 1.83
	* movearch.c 1.24
	* list.c 1.31
	* longnames.c 1.24
	* remove.c 1.37
	* extract.c 1.37
	* diff.c 1.34
	* create.c 1.42
	  Support for largefiles

Tue Jun 26 17:46:23 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* table.c 1.8
	* star_unix.c 1.29
	* star_unos.c 1.13
	* star.h 1.34
	* star.c 1.82
	* hole.c 1.19
	* header.c 1.44
	* fifo.c 1.22
	* create.c 1.41
	* buffer.c 1.47
	* append.c 1.13
	  curfs: Ulong -> dev_t, Lint messages reduced

*************** Release 1.3.1 *******************

Wed Jun 20 23:31:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.81
	  Version -> 1.3.1

Mon Apr 30 20:05:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.28
	  Fehler mit _FIOSATIME beseitigt der durch Umstellung auf nanosekunden entstand (tv_usec > 1000000)

*************** Release 1.3 *******************

Sat Apr 14 15:28:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.80
	  Version -> 1.3

Sat Apr 14 13:26:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.79
	  set back UID only if euid != uid for AIX

Sun Apr  8 00:18:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.30
	  Listing print for Files without Group Execution bit now 'l'

Sat Apr  7 23:31:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.29
	  Major/Minor now unsigned for FreeBSD

Sat Apr  7 13:06:01 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* append.c 1.12
	* create.c 1.40
	* diff.c 1.33
	* list.c 1.28
	* extract.c 1.36
	  Warning for nsec introduction in future

Sat Apr  7 12:25:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.27
	* star_unos.c 1.12
	* dirtime.c 1.9
	* header.c 1.43
	* star.h 1.33
	  info->f_*time from Ulong -> time_t, info->f_spare? -> info->f_*nsec

Sat Apr  7 01:42:10 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.17
	* star.c 1.78
	  Options from '_' to '-', -onull now alias for -nullout

Sat Apr  7 01:36:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.46
	* extract.c 1.35
	* diff.c 1.32
	* list.c 1.27
	  time.h/timedefs.h -> star.h

Sun Mar  4 17:40:02 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.77
	  Version -> 1.3a10, Copyright 2001

Sun Feb 25 21:52:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.26
	  Now using utimdefs.h

Sun Feb 25 13:13:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.21
	  Now using mmapdefs.h

Fri Feb 23 17:34:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.20
	  Support for mmap() on Apollo Domain/OS with mmap(0, &size, ...)

Fri Feb 16 00:45:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.42
	  New comment for Char past digit in octal number

Fri Feb 16 00:42:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.39
	  Skip empty lines in file from list= 

Fri Feb 16 00:39:07 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* device.c 1.7
	  Support for dev_t > 32 Bits

Mon Jan 15 01:19:01 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.19
	  %x -> %p Format

Wed Nov 15 22:48:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mtio.h 1.2
	  Restructured, Definitions for ioctl's

Wed Nov 15 22:27:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.16
	  Typo removed

Wed Nov 15 09:18:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.76
	  -> 1.3a9

Wed Nov 15 01:37:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.25
	  HAS_FILIO -> HAVE_SYS_FILIO_H (was a typo)

Mon Nov 13 00:06:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.75
	  Using new patmatch() with state[] array for Patterns with unlimited length

Sun Nov 12 17:24:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.45
	* starsubs.h 1.14
	* remote.c 1.22
	  remote.h from starsubs.h

Sun Nov 12 17:23:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.h 1.1
	  date and time created 00/11/12 17:23:06 by joerg

Thu Nov  9 10:51:17 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.34
	  make_copy()/copy_file()/make_fifo() new
	  create_dirs() now checks if orig file (on disk) has different file type

Thu Nov  9 09:36:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.44
	  Printf-like Formate aufgeraeumt, Weitergabe von O_CREAT an remote.c (wird dort behandelt).

Thu Nov  9 09:31:36 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.13
	* header.c 1.41
	* create.c 1.38
	* fifo.c 1.18
	* longnames.c 1.23
	  Printf-like Formats reworked

Thu Nov  9 09:25:23 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* append.c 1.11
	  Hash code allows append mode for star

Thu Nov  9 09:22:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.21
	  Mask Open Modes with O_ACCMODE in numeric mode

Thu Nov  9 09:19:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.1 1.15
	  Hints for open Modes & Schily rmt

Thu Nov  9 08:58:17 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.h 1.6
	  #undef FIFO if no FIFO possible

Tue Oct 31 14:09:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.17
	  FIFO for OS/2

Fri Aug 11 00:18:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.20
	  O_TEXT new
	  No more global static data
	  Prevent buffer overflow on rmtuser

Thu Aug 10 22:07:00 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.43
	  Host -> 128 Bytes, prevent buffer overflow in host

Thu Aug 10 11:20:41 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.19
	  Now using js_snprintf(), Use String Open modes as in GNU rmt

Tue Aug  8 17:43:15 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.18
	  "S" command now without "\n"
	  send I-1\n0\n after open to inform /etc/rmt about our version
	  all Members from struct mtget now in autoconf
	  Mapp  all Opcodes 0..7 for Linux
	  rmtstatus() now returns NULL on error.

Sun Aug  6 01:47:10 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.17
	  rmtgetstatus() now fetches as many bytes as available from peer

Sun May  7 17:54:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* device.c 1.6
	* lhash.c 1.8
	* dirtime.c 1.8
	* star_unos.c 1.11
	* buffer.c 1.42
	* star_unix.c 1.24
	* longnames.c 1.22
	* diff.c 1.31
	* hole.c 1.18
	* props.c 1.14
	* fifo.c 1.16
	* remote.c 1.16
	* create.c 1.37
	* list.c 1.26
	* header.c 1.40
	* star.c 1.74
	  #include <schily.h>

Sun May  7 17:44:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.73
	  #include "fifo.h" for #undef FIFO when features are missing

Thu Feb 10 01:24:29 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.41
	  #ifdef USE_REMOTE new

Thu Feb 10 01:23:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.23
	  #ifdef HAVE_ST_BLOCKS new

Thu Feb 10 01:21:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.15
	  #define USE_REMOTE removed and -> Makefile

Thu Feb 10 01:20:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.72
	  #define __XDEV__ for new device.h
	  CPU/VENDOR/OS with -version
	  -refresh as alias for -refesh_old_files

Thu Feb 10 01:19:18 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.39
	* device.c 1.5
	  #define __XDEV__ for new device.h

Thu Feb 10 01:16:27 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.32
	  is_fifo() Makro new
	   max/min #undef for QNX

Sun Dec 19 15:48:20 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.36
	* starsubs.h 1.12
	  open Paramter clash for Linux removed

Sun Nov 21 01:00:26 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.15
	  Support for OS/2 shared memory

Fri Nov 12 12:42:27 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.38
	  rdevmin ist only 7 bytes in mod 256, rdevvmin -> 0 for non devices for maximum POSIX compatibility

Fri Nov 12 12:30:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.71
	  -copylinks new

Tue Sep 14 19:56:16 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.37
	  astob()/btoa() new
	  -i now works again although better messages about tar type have been introduced
	  write 7 bytes into 8 Byte fieds with USTAR
	  -modebits allows to have more than 12 Bits into t_mode
	  DEV_MINOR_NONCONTIG new
	  -hpdev allows to have 24 Bits in devminor like the HP method
	  base 256 allows 32 Bits in devminor

Tue Sep 14 19:18:08 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star_unix.c 1.22
	  Now using local lokale major()/minor() Macros
	  New function snulltimes()

Tue Sep 14 18:45:45 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.70
	  -hpdev/-modebits new

Tue Sep 14 14:11:01 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.33
	  xt_file() modified to make ret == -1 with hard errors
	  Now calling snulltimes() if an extraction error occurred
	  Now calling fsync() before calling fclose() for NFS consistence

Tue Sep 14 14:06:19 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* starsubs.h 1.11
	* buffer.c 1.40
	* longnames.c 1.21
	* hole.c 1.17
	* diff.c 1.30
	* buffer.c 1.39
	  Modified for changes in function xt_file(), new function die()

Wed Sep  8 01:06:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	  Hack to avoid gcc inuninitialized err

Sun Aug 22 14:26:41 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* buffer.c 1.38
	  Now handling EFBIG (write() == 0) and fifoexit() new to avoid error message if another message was already pringed

Sun Aug 22 14:21:30 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.14
	* fifo.h 1.5
	* starsubs.h 1.10
	  fifo_exit()/FIFO_EXIT new

Tue Jul 13 10:50:26 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* header.c 1.36
	  Typo in get_volhdr() Prototype.

Tue Jul 13 08:14:10 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.32
	* star.1 1.14
	* star.c 1.69
	  New Option -refresh_old_files

Tue Jul 13 01:41:49 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.31
	  HAVE_LONGLONG instead of SVR4

Fri Jun 18 02:50:06 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* extract.c 1.31
	  DOS Filesystem time workaround always active because a DOS FS
	  may also bei present on UNIX

Fri Jun 18 02:44:19 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* list.c 1.25
	  Paranoia while copying filenames: clear PATH_MAX index.

Fri Jun 18 02:40:21 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.h 1.30
	  PATH_MAX now is minimal 1024

Fri Jun 18 02:38:40 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* longnames.c 1.20
	  get_tcb() past void_file() on extract if Filename too long

Fri Jun 18 02:31:50 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* create.c 1.35
	  fileopen() with "b" Binary for DOS, test for HAVE_SEEKDIR

Tue Jun 15 01:33:26 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diff.h 1.6
	  common long diffopts -> extern long diffopts

Tue Jun 15 01:32:30 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* star.c 1.68
	  common diffopts -> int difftopts (data)

Tue Jun 15 01:31:50 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* remote.c 1.14
	  common int debug -> extern BOOL debug

Tue Jun 15 01:31:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* props.c 1.13
	  debug int -> BOOL

Tue Jun 15 01:30:02 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fifo.c 1.13
